GNU bug report logs - #36835
27.0.50; Segmentation fault on Cairo build (ftcrfont_glyph_extents at ftcrfont.c:77)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Štěpán Němec <stepnem@HIDDEN>; Keywords: confirmed; merged with #23386, #35803; dated Mon, 29 Jul 2019 11:57:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 23386 35803 36835. Request was from YAMAMOTO Mitsuharu <mituharu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36835 <at> debbugs.gnu.org:


Received: (at 36835) by debbugs.gnu.org; 29 Jul 2019 23:55:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 19:55:20 2019
Received: from localhost ([127.0.0.1]:49326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsFU7-0006WB-T1
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 19:55:20 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:54960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>)
 id 1hsFU6-0006Vy-AX; Mon, 29 Jul 2019 19:55:19 -0400
Received: from mathent.math.s.chiba-u.ac.jp (mathent [192.168.32.5])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 4617AF0904;
 Tue, 30 Jul 2019 08:55:16 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Date: Tue, 30 Jul 2019 08:55:16 +0900
Message-ID: <wlmugw4crf.wl-mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: =?ISO-8859-2?Q?=A9t=ECp=E1n_N=ECmec?= <stepnem@HIDDEN>
Subject: Re: bug#36835: 27.0.50;
 Segmentation fault on Cairo build (ftcrfont_glyph_extents at
 ftcrfont.c:77)
In-Reply-To: <87r269qck8.fsf@HIDDEN>
References: <87r269qck8.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/25.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-8859-2
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36835
Cc: 36835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36835 35803 23386
quit

On Mon, 29 Jul 2019 20:56:23 +0900,
=A9t=ECp=E1n N=ECmec wrote:
>=20
>=20
> Recipe:
> -------
> emacs -Q
>=20
> [arrange that the attached desktop file will be read by `desktop-read';
> I did "M-x cd" to the directory containing it]
>=20
> M-x desktop-read [possibly reply 'y' to the prompt whether to read the fi=
le]
> -------
>=20
> "bt full" and "xbacktrace" output attached
>=20
> In GNU Emacs 27.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.10,=
 cairo version 1.16.0)
>  of 2019-07-29 built on panda
> Repository revision: d69e1d7056155d7c14eac31b9303af5ac1549e35
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
> System Description: Arch Linux

The .emacs.desktop file contains (font-backend xft x).  This triggers
Bug#23386 (Segfault when messing with font-backend) on the cairo build.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36835; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jul 2019 11:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 07:56:45 2019
Received: from localhost ([127.0.0.1]:47762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hs4Gi-0003z0-UU
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 07:56:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:42545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1hs4Gh-0003ys-8s
 for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 07:56:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55113)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <stepnem@HIDDEN>) id 1hs4GZ-00030e-Fa
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jul 2019 07:56:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.7 required=5.0 tests=BAYES_50,FILL_THIS_FORM,
 FILL_THIS_FORM_LOAN,FREEMAIL_FROM,FROM_EXCESS_BASE64,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stepnem@HIDDEN>) id 1hs4GR-0008LP-Ka
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jul 2019 07:56:35 -0400
Received: from mail-wr1-x442.google.com ([2a00:1450:4864:20::442]:40760)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <stepnem@HIDDEN>) id 1hs4GQ-0008Cp-Nn
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jul 2019 07:56:27 -0400
Received: by mail-wr1-x442.google.com with SMTP id r1so61520843wrl.7
 for <bug-gnu-emacs@HIDDEN>; Mon, 29 Jul 2019 04:56:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=PsU+jqIOSe9d4VNWNK17RUfoTNEasYULAbd6qW3x+aU=;
 b=PRu45QdQ28I6cFek7pVln6AAfG4ckhuXON0zfoiHWx1zlmtnQaoMHMdHt9sqzvHic0
 TsAu/VX3A2QMn7VmwiZ4laSzKDLZgAyEDIJ2qffMHwX0ug/cFoCsOyMYdz2ijvwXXtYM
 SMtO05Houfa/3fMnZ8O0/ezHuNEX2hA0PxAPO6u99TX58ExJNqU8tqAKfFx8kUkwNbK9
 GzRaVz2/ctBxcFVGk7/DlOrP317S7js4t9CgpQPVI6bIjC8zCKoNQvIYXjG/1LTVRC/o
 rfVaGl6ycJa+8lwKCkmGIFnbK0Xedwc9j2qCtVAKeCZBPHDyE9Qh9BcLrZ/eaB4CF5LL
 2iCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=PsU+jqIOSe9d4VNWNK17RUfoTNEasYULAbd6qW3x+aU=;
 b=flYnT3QFl2JzC6Km8tPAb43szwfooZ4JMqeSRF+dJHef1fbvvd8U7mmbJiITORRezX
 OYRUhga5oCbDKsfiX2ubxfHpsr04rCOyj0hfucrpAO23aTdPkFov1lJGgxmkRz59QDk4
 oac4Kx6AoGmumDacOSC+DU1Y286FNTvrHr64Y3MMagCBIkWx7+ku5sCVgNGn9h99AB42
 Nf4t8vdebx3uA75AtySpyknMdmIy+cZufWWwJwAS0zqwVIagr5Nklp2VzVsEHHjMpXAe
 O06+BWQDb602OD50SmLZTiolo92b8p8Q2XWbS8RKJ9tl352ars2sSSJLEqugYdckGeDC
 R4Qw==
X-Gm-Message-State: APjAAAUnyI0dIx1wzbmTiq3h+jq2SsXa/sBniiREWpMpR4VVMPD1keH9
 N4sYhFk0xKmdV0h22a6lq2Q4Q0Ly
X-Google-Smtp-Source: APXvYqzUwrF0wgs4J8s7JVKLAS+1ng6qye5ur/AjBv9Xa29IvxUcpufQmUJjFiKS65Vd7Wx5b9I21w==
X-Received: by 2002:adf:ce82:: with SMTP id r2mr42777423wrn.223.1564401384903; 
 Mon, 29 Jul 2019 04:56:24 -0700 (PDT)
Received: from localhost ([185.112.167.114])
 by smtp.gmail.com with ESMTPSA id p6sm67855697wrq.97.2019.07.29.04.56.23
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 29 Jul 2019 04:56:24 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Segmentation fault on Cairo build (ftcrfont_glyph_extents at
 ftcrfont.c:77)
Date: Mon, 29 Jul 2019 13:56:23 +0200
Message-ID: <87r269qck8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::442
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain


Recipe:
-------
emacs -Q

[arrange that the attached desktop file will be read by `desktop-read';
I did "M-x cd" to the directory containing it]

M-x desktop-read [possibly reply 'y' to the prompt whether to read the file]
-------

"bt full" and "xbacktrace" output attached

In GNU Emacs 27.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.10, cairo version 1.16.0)
 of 2019-07-29 built on panda
Repository revision: d69e1d7056155d7c14eac31b9303af5ac1549e35
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Arch Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set [2 times]
next-line: End of buffer [2 times]
previous-line: Beginning of buffer [4 times]
Mark set [4 times]
funcall-interactively: End of buffer [14 times]

Configured using:
 'configure --with-xwidgets --with-cairo --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting xwidget-internal cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 44819 11860)
 (symbols 48 5910 1)
 (strings 32 15223 1765)
 (string-bytes 1 501942)
 (vectors 16 9871)
 (vector-slots 8 126213 12072)
 (floats 8 18 254)
 (intervals 56 283 7)
 (buffers 992 12))


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=bug-bt-full
Content-Transfer-Encoding: quoted-printable

#0  0x000055555576c6dd in ftcrfont_glyph_extents (font=3Dfont@entry=3D0x555=
555fea070, glyph=3D1106, metrics=3Dmetrics@entry=3D0x555555b4c158 <metrics>=
) at ftcrfont.c:77
        row =3D 8
        col =3D 82
        cache =3D 0x1acc
#1  0x000055555576cbf3 in ftcrfont_text_extents (font=3D0x555555fea070, cod=
e=3D0x7fffffff5f14, nglyphs=3D1, metrics=3D0x555555b4c158 <metrics>) at ftc=
rfont.c:361
        width =3D <optimized out>
        i =3D <optimized out>
#2  0x00005555555e4896 in get_per_char_metric (char2b=3D0x7fffffff5f14, fon=
t=3D0x555555fea070) at xdisp.c:28543
        metrics =3D {
          lbearing =3D 0,=20
          rbearing =3D 0,=20
          width =3D 0,=20
          ascent =3D 0,=20
          descent =3D 0
        }
        stretched_p =3D <optimized out>
        char2b =3D 1106
        face =3D 0x555555e50800
        font =3D 0x555555fea070
        pcm =3D 0x0
        boff =3D 0
        extra_line_spacing =3D 0
#3  0x00005555555e4896 in gui_produce_glyphs (it=3D0x7fffffff5f80) at xdisp=
.c:28543
        stretched_p =3D <optimized out>
        char2b =3D 1106
        face =3D 0x555555e50800
        font =3D 0x555555fea070
        pcm =3D 0x0
        boff =3D 0
        extra_line_spacing =3D 0
#4  0x00005555555bb17e in produce_special_glyphs (it=3Dit@entry=3D0x7ffffff=
f7310, what=3Dwhat@entry=3DIT_TRUNCATION) at xdisp.c:28172
        temp_it =3D {
          window =3D XIL(0x555555f759c5),=20
          w =3D 0x555555f759c0,=20
          f =3D 0x555555f757b0,=20
          method =3D GET_FROM_BUFFER,=20
          stop_charpos =3D 0,=20
          prev_stop =3D 0,=20
          base_level_stop =3D 0,=20
          end_charpos =3D 0,=20
          s =3D 0x0,=20
          string_nchars =3D 0,=20
          redisplay_end_trigger_charpos =3D 0,=20
          multibyte_p =3D true,=20
          header_line_p =3D false,=20
          string_from_display_prop_p =3D false,=20
          string_from_prefix_prop_p =3D false,=20
          from_disp_prop_p =3D false,=20
          ellipsis_p =3D false,=20
          avoid_cursor_p =3D false,=20
          dp =3D 0x0,=20
          dpvec =3D 0x0,=20
          dpend =3D 0x0,=20
          dpvec_char_len =3D 0,=20
          dpvec_face_id =3D 0,=20
          saved_face_id =3D 0,=20
          ctl_chars =3D {XIL(0) <repeats 16 times>},=20
          start =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            overlay_string_index =3D 0,=20
            string_pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            dpvec_index =3D 0
          },=20
          current =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            overlay_string_index =3D 0,=20
            string_pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            dpvec_index =3D 0
          },=20
          n_overlay_strings =3D 0,=20
          overlay_strings_charpos =3D 0,=20
          overlay_strings =3D {XIL(0) <repeats 16 times>},=20
          string_overlays =3D {XIL(0) <repeats 16 times>},=20
          string =3D XIL(0),=20
          from_overlay =3D XIL(0),=20
          stack =3D {{
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }},=20
          sp =3D 0,=20
          selective =3D 0,=20
          what =3D IT_CHARACTER,=20
          face_id =3D 0,=20
          selective_display_ellipsis_p =3D true,=20
          ctl_arrow_p =3D true,=20
          face_box_p =3D false,=20
          start_of_box_run_p =3D false,=20
          end_of_box_run_p =3D false,=20
          overlay_strings_at_end_processed_p =3D false,=20
          ignore_overlay_strings_at_pos_p =3D false,=20
          glyph_not_available_p =3D false,=20
          starts_in_middle_of_char_p =3D false,=20
          face_before_selective_p =3D false,=20
          constrain_row_ascent_descent_p =3D false,=20
          line_number_produced_p =3D false,=20
          line_wrap =3D TRUNCATE,=20
          base_face_id =3D 1,=20
          c =3D 36,=20
          len =3D 1,=20
          cmp_it =3D {
            stop_pos =3D 0,=20
            id =3D -1,=20
            ch =3D 0,=20
            rule_idx =3D 0,=20
            lookback =3D 0,=20
            nglyphs =3D 0,=20
            reversed_p =3D false,=20
            charpos =3D 0,=20
            nchars =3D 0,=20
            nbytes =3D 0,=20
            from =3D 0,=20
            to =3D 0,=20
            width =3D 0
          },=20
          char_to_display =3D 36,=20
          glyphless_method =3D GLYPHLESS_DISPLAY_THIN_SPACE,=20
          image_id =3D 0,=20
          xwidget =3D 0x0,=20
          slice =3D {
            x =3D XIL(0),=20
            y =3D XIL(0),=20
            width =3D XIL(0),=20
            height =3D XIL(0)
          },=20
          space_width =3D XIL(0),=20
          voffset =3D 0,=20
          tab_width =3D 8,=20
          font_height =3D XIL(0),=20
          object =3D XIL(0),=20
          position =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          truncation_pixel_width =3D 0,=20
          continuation_pixel_width =3D 0,=20
          first_visible_x =3D 0,=20
          last_visible_x =3D 0,=20
          last_visible_y =3D 0,=20
          extra_line_spacing =3D 0,=20
          max_extra_line_spacing =3D 0,=20
          override_ascent =3D -1,=20
          override_descent =3D 0,=20
          override_boff =3D 0,=20
          glyph_row =3D 0x0,=20
          area =3D LEFT_MARGIN_AREA,=20
          nglyphs =3D 1,=20
          pixel_width =3D 0,=20
          ascent =3D 13,=20
          descent =3D 4,=20
          max_ascent =3D 0,=20
          max_descent =3D 0,=20
          phys_ascent =3D 0,=20
          phys_descent =3D 0,=20
          max_phys_ascent =3D 0,=20
          max_phys_descent =3D 0,=20
          current_x =3D 0,=20
          continuation_lines_width =3D 0,=20
          eol_pos =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          current_y =3D 0,=20
          first_vpos =3D 0,=20
          vpos =3D 0,=20
          hpos =3D 0,=20
          lnum =3D 0,=20
          lnum_bytepos =3D 0,=20
          lnum_width =3D 0,=20
          lnum_pixel_width =3D 0,=20
          pt_lnum =3D 0,=20
          tab_offset =3D 0,=20
          left_user_fringe_bitmap =3D 0,=20
          right_user_fringe_bitmap =3D 0,=20
          left_user_fringe_face_id =3D 0,=20
          right_user_fringe_face_id =3D 0,=20
          bidi_p =3D false,=20
          bidi_it =3D {
            bytepos =3D 0,=20
            charpos =3D 0,=20
            ch =3D 0,=20
            nchars =3D 0,=20
            ch_len =3D 0,=20
            type =3D UNKNOWN_BT,=20
            type_after_wn =3D UNKNOWN_BT,=20
            orig_type =3D UNKNOWN_BT,=20
            resolved_level =3D 0 '\000',=20
            isolate_level =3D 0 '\000',=20
            invalid_levels =3D 0,=20
            invalid_isolates =3D 0,=20
            prev =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            last_strong =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            prev_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_ws =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            bracket_pairing_pos =3D 0,=20
            bracket_enclosed_type =3D UNKNOWN_BT,=20
            next_en_pos =3D 0,=20
            next_en_type =3D UNKNOWN_BT,=20
            sos =3D NEUTRAL_DIR,=20
            scan_dir =3D 0,=20
            disp_pos =3D 0,=20
            disp_prop =3D 0,=20
            stack_idx =3D 0,=20
            level_stack =3D {{
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              } <repeats 128 times>},=20
            string =3D {
              lstring =3D XIL(0),=20
              s =3D 0x0,=20
              schars =3D 0,=20
              bufpos =3D 0,=20
              from_disp_str =3D false,=20
              unibyte =3D false
            },=20
            w =3D 0x555555f759c0,=20
            paragraph_dir =3D NEUTRAL_DIR,=20
            separator_limit =3D 0,=20
            first_elt =3D false,=20
            new_paragraph =3D false,=20
            frame_window_p =3D false
          },=20
          paragraph_embedding =3D L2R
        }
        gc =3D <optimized out>
        glyph =3D {
          ch =3D 36,=20
          face_id =3D 0
        }
#5  0x00005555555c6fd6 in init_iterator (it=3D0x7fffffff7310, w=3D0x555555f=
759c0, charpos=3D-1, bytepos=3D<optimized out>, row=3D0x555556926400, base_=
face_id=3DMODE_LINE_FACE_ID) at xdisp.c:2982
        remapped_base_face_id =3D <optimized out>
        body_width =3D 0
        body_height =3D 0
#6  0x00005555555d3db0 in display_mode_line (w=3Dw@entry=3D0x555555f759c0, =
face_id=3DMODE_LINE_FACE_ID, format=3DXIL(0x7fffebe328f3)) at xdisp.c:23758
        it =3D {
          window =3D XIL(0x555555f759c5),=20
          w =3D 0x555555f759c0,=20
          f =3D 0x555555f757b0,=20
          method =3D GET_FROM_BUFFER,=20
          stop_charpos =3D 0,=20
          prev_stop =3D 0,=20
          base_level_stop =3D 0,=20
          end_charpos =3D 0,=20
          s =3D 0x0,=20
          string_nchars =3D 0,=20
          redisplay_end_trigger_charpos =3D 0,=20
          multibyte_p =3D true,=20
          header_line_p =3D false,=20
          string_from_display_prop_p =3D false,=20
          string_from_prefix_prop_p =3D false,=20
          from_disp_prop_p =3D false,=20
          ellipsis_p =3D false,=20
          avoid_cursor_p =3D false,=20
          dp =3D 0x0,=20
          dpvec =3D 0x0,=20
          dpend =3D 0x0,=20
          dpvec_char_len =3D 0,=20
          dpvec_face_id =3D 0,=20
          saved_face_id =3D 0,=20
          ctl_chars =3D {XIL(0) <repeats 16 times>},=20
          start =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            overlay_string_index =3D 0,=20
            string_pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            dpvec_index =3D 0
          },=20
          current =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            overlay_string_index =3D -1,=20
            string_pos =3D {
              charpos =3D -1,=20
              bytepos =3D -1
            },=20
            dpvec_index =3D -1
          },=20
          n_overlay_strings =3D 0,=20
          overlay_strings_charpos =3D 0,=20
          overlay_strings =3D {XIL(0) <repeats 16 times>},=20
          string_overlays =3D {XIL(0) <repeats 16 times>},=20
          string =3D XIL(0),=20
          from_overlay =3D XIL(0),=20
          stack =3D {{
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }},=20
          sp =3D 0,=20
          selective =3D 0,=20
          what =3D IT_CHARACTER,=20
          face_id =3D 0,=20
          selective_display_ellipsis_p =3D true,=20
          ctl_arrow_p =3D true,=20
          face_box_p =3D false,=20
          start_of_box_run_p =3D false,=20
          end_of_box_run_p =3D false,=20
          overlay_strings_at_end_processed_p =3D false,=20
          ignore_overlay_strings_at_pos_p =3D false,=20
          glyph_not_available_p =3D false,=20
          starts_in_middle_of_char_p =3D false,=20
          face_before_selective_p =3D false,=20
          constrain_row_ascent_descent_p =3D false,=20
          line_number_produced_p =3D false,=20
          line_wrap =3D TRUNCATE,=20
          base_face_id =3D 1,=20
          c =3D 0,=20
          len =3D 0,=20
          cmp_it =3D {
            stop_pos =3D 0,=20
            id =3D -1,=20
            ch =3D 0,=20
            rule_idx =3D 0,=20
            lookback =3D 0,=20
            nglyphs =3D 0,=20
            reversed_p =3D false,=20
            charpos =3D 0,=20
            nchars =3D 0,=20
            nbytes =3D 0,=20
            from =3D 0,=20
            to =3D 0,=20
            width =3D 0
          },=20
          char_to_display =3D 0,=20
          glyphless_method =3D GLYPHLESS_DISPLAY_THIN_SPACE,=20
          image_id =3D 0,=20
          xwidget =3D 0x0,=20
          slice =3D {
            x =3D XIL(0),=20
            y =3D XIL(0),=20
            width =3D XIL(0),=20
            height =3D XIL(0)
          },=20
          space_width =3D XIL(0),=20
          voffset =3D 0,=20
          tab_width =3D 8,=20
          font_height =3D XIL(0),=20
          object =3D XIL(0),=20
          position =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          truncation_pixel_width =3D 0,=20
          continuation_pixel_width =3D 0,=20
          first_visible_x =3D 0,=20
          last_visible_x =3D 0,=20
          last_visible_y =3D 0,=20
          extra_line_spacing =3D 0,=20
          max_extra_line_spacing =3D 0,=20
          override_ascent =3D -1,=20
          override_descent =3D 0,=20
          override_boff =3D 0,=20
          glyph_row =3D 0x0,=20
          area =3D LEFT_MARGIN_AREA,=20
          nglyphs =3D 0,=20
          pixel_width =3D 0,=20
          ascent =3D 0,=20
          descent =3D 0,=20
          max_ascent =3D 0,=20
          max_descent =3D 0,=20
          phys_ascent =3D 0,=20
          phys_descent =3D 0,=20
          max_phys_ascent =3D 0,=20
          max_phys_descent =3D 0,=20
          current_x =3D 0,=20
          continuation_lines_width =3D 0,=20
          eol_pos =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          current_y =3D 0,=20
          first_vpos =3D 0,=20
          vpos =3D 0,=20
          hpos =3D 0,=20
          lnum =3D 0,=20
          lnum_bytepos =3D 0,=20
          lnum_width =3D 0,=20
          lnum_pixel_width =3D 0,=20
          pt_lnum =3D 0,=20
          tab_offset =3D 0,=20
          left_user_fringe_bitmap =3D 0,=20
          right_user_fringe_bitmap =3D 0,=20
          left_user_fringe_face_id =3D 0,=20
          right_user_fringe_face_id =3D 0,=20
          bidi_p =3D false,=20
          bidi_it =3D {
            bytepos =3D 0,=20
            charpos =3D 0,=20
            ch =3D 0,=20
            nchars =3D 0,=20
            ch_len =3D 0,=20
            type =3D UNKNOWN_BT,=20
            type_after_wn =3D UNKNOWN_BT,=20
            orig_type =3D UNKNOWN_BT,=20
            resolved_level =3D 0 '\000',=20
            isolate_level =3D 0 '\000',=20
            invalid_levels =3D 0,=20
            invalid_isolates =3D 0,=20
            prev =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            last_strong =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            prev_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_ws =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            bracket_pairing_pos =3D 0,=20
            bracket_enclosed_type =3D UNKNOWN_BT,=20
            next_en_pos =3D 0,=20
            next_en_type =3D UNKNOWN_BT,=20
            sos =3D NEUTRAL_DIR,=20
            scan_dir =3D 0,=20
            disp_pos =3D 0,=20
            disp_prop =3D 0,=20
            stack_idx =3D 0,=20
            level_stack =3D {{
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              } <repeats 128 times>},=20
            string =3D {
              lstring =3D XIL(0),=20
              s =3D 0x0,=20
              schars =3D 0,=20
              bufpos =3D 0,=20
              from_disp_str =3D false,=20
              unibyte =3D false
            },=20
            w =3D 0x555555f759c0,=20
            paragraph_dir =3D NEUTRAL_DIR,=20
            separator_limit =3D 0,=20
            first_elt =3D false,=20
            new_paragraph =3D false,=20
            frame_window_p =3D false
          },=20
          paragraph_embedding =3D L2R
        }
        face =3D <optimized out>
        count =3D 25
#7  0x00005555555d407e in display_mode_lines (w=3Dw@entry=3D0x555555f759c0)=
 at lisp.h:722
        window_mode_line_format =3D <optimized out>
        sel_w =3D 0x555555f759c0
        old_selected_window =3D XIL(0x555555f759c5)
        old_selected_frame =3D XIL(0x555555f757b5)
        new_frame =3D XIL(0x555555f757b5)
        old_frame_selected_window =3D XIL(0x555555f759c5)
        n =3D 0
#8  0x00005555555ecbac in redisplay_window (window=3DXIL(0x555555f759c5), j=
ust_this_one_p=3D<optimized out>) at xdisp.c:17716
        w =3D 0x555555f759c0
        f =3D <optimized out>
        buffer =3D <optimized out>
        old =3D <optimized out>
        lpoint =3D {
          charpos =3D 146,=20
          bytepos =3D 146
        }
        opoint =3D <optimized out>
        startp =3D <optimized out>
        update_mode_line =3D <optimized out>
        tem =3D <optimized out>
        it =3D {
          window =3D XIL(0),=20
          w =3D 0x0,=20
          f =3D 0x0,=20
          method =3D GET_FROM_BUFFER,=20
          stop_charpos =3D 0,=20
          prev_stop =3D 0,=20
          base_level_stop =3D 0,=20
          end_charpos =3D 0,=20
          s =3D 0x0,=20
          string_nchars =3D 0,=20
          redisplay_end_trigger_charpos =3D 0,=20
          multibyte_p =3D false,=20
          header_line_p =3D false,=20
          string_from_display_prop_p =3D false,=20
          string_from_prefix_prop_p =3D false,=20
          from_disp_prop_p =3D false,=20
          ellipsis_p =3D false,=20
          avoid_cursor_p =3D false,=20
          dp =3D 0x0,=20
          dpvec =3D 0x0,=20
          dpend =3D 0x0,=20
          dpvec_char_len =3D 0,=20
          dpvec_face_id =3D 0,=20
          saved_face_id =3D 0,=20
          ctl_chars =3D {XIL(0) <repeats 16 times>},=20
          start =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            overlay_string_index =3D 0,=20
            string_pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            dpvec_index =3D 0
          },=20
          current =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            overlay_string_index =3D 0,=20
            string_pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            dpvec_index =3D 0
          },=20
          n_overlay_strings =3D 0,=20
          overlay_strings_charpos =3D 0,=20
          overlay_strings =3D {XIL(0) <repeats 16 times>},=20
          string_overlays =3D {XIL(0) <repeats 16 times>},=20
          string =3D XIL(0),=20
          from_overlay =3D XIL(0),=20
          stack =3D {{
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0),=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D XIL(0),=20
              font_height =3D XIL(0)
            }, {
              string =3D XIL(0x200000083),=20
              string_nchars =3D 0,=20
              end_charpos =3D 1,=20
              stop_charpos =3D 0,=20
              prev_stop =3D -1,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 92,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D XIL(0),=20
                  slice =3D {
                    x =3D XIL(0),=20
                    y =3D XIL(0),=20
                    width =3D XIL(0),=20
                    height =3D XIL(0x80000)
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D XIL(0)
                },=20
                xwidget =3D {
                  object =3D XIL(0)
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 4294967295
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D XIL(0),=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_DISPLAY_VECTOR,=20
              paragraph_embedding =3D (unknown: 8),=20
              multibyte_p =3D true,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D true,=20
              display_ellipsis_p =3D true,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D (unknown: 4),=20
              voffset =3D 13,=20
              space_width =3D XIL(0xd00000004),=20
              font_height =3D XIL(0xd00000004)
            }},=20
          sp =3D 4,=20
          selective =3D 0,=20
          what =3D IT_CHARACTER,=20
          face_id =3D 0,=20
          selective_display_ellipsis_p =3D false,=20
          ctl_arrow_p =3D false,=20
          face_box_p =3D false,=20
          start_of_box_run_p =3D false,=20
          end_of_box_run_p =3D false,=20
          overlay_strings_at_end_processed_p =3D false,=20
          ignore_overlay_strings_at_pos_p =3D false,=20
          glyph_not_available_p =3D false,=20
          starts_in_middle_of_char_p =3D false,=20
          face_before_selective_p =3D false,=20
          constrain_row_ascent_descent_p =3D false,=20
          line_number_produced_p =3D false,=20
          line_wrap =3D TRUNCATE,=20
          base_face_id =3D 0,=20
          c =3D 0,=20
          len =3D 0,=20
          cmp_it =3D {
            stop_pos =3D 0,=20
            id =3D 0,=20
            ch =3D 0,=20
            rule_idx =3D 0,=20
            lookback =3D 0,=20
            nglyphs =3D 0,=20
            reversed_p =3D false,=20
            charpos =3D 0,=20
            nchars =3D 0,=20
            nbytes =3D 0,=20
            from =3D 0,=20
            to =3D 0,=20
            width =3D 0
          },=20
          char_to_display =3D 0,=20
          glyphless_method =3D GLYPHLESS_DISPLAY_THIN_SPACE,=20
          image_id =3D 0,=20
          xwidget =3D 0x0,=20
          slice =3D {
            x =3D XIL(0),=20
            y =3D XIL(0),=20
            width =3D XIL(0),=20
            height =3D XIL(0)
          },=20
          space_width =3D XIL(0),=20
          voffset =3D 0,=20
          tab_width =3D 0,=20
          font_height =3D XIL(0),=20
          object =3D XIL(0),=20
          position =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          truncation_pixel_width =3D 0,=20
          continuation_pixel_width =3D 0,=20
          first_visible_x =3D 0,=20
          last_visible_x =3D 0,=20
          last_visible_y =3D 0,=20
          extra_line_spacing =3D 0,=20
          max_extra_line_spacing =3D 0,=20
          override_ascent =3D 0,=20
          override_descent =3D 0,=20
          override_boff =3D 0,=20
          glyph_row =3D 0x0,=20
          area =3D LEFT_MARGIN_AREA,=20
          nglyphs =3D 0,=20
          pixel_width =3D 0,=20
          ascent =3D 0,=20
          descent =3D 0,=20
          max_ascent =3D 0,=20
          max_descent =3D 0,=20
          phys_ascent =3D 0,=20
          phys_descent =3D 0,=20
          max_phys_ascent =3D 0,=20
          max_phys_descent =3D 0,=20
          current_x =3D 0,=20
          continuation_lines_width =3D 0,=20
          eol_pos =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          current_y =3D 0,=20
          first_vpos =3D 0,=20
          vpos =3D 0,=20
          hpos =3D 0,=20
          lnum =3D 0,=20
          lnum_bytepos =3D 0,=20
          lnum_width =3D 0,=20
          lnum_pixel_width =3D 0,=20
          pt_lnum =3D 0,=20
          tab_offset =3D 0,=20
          left_user_fringe_bitmap =3D 0,=20
          right_user_fringe_bitmap =3D 0,=20
          left_user_fringe_face_id =3D 0,=20
          right_user_fringe_face_id =3D 0,=20
          bidi_p =3D false,=20
          bidi_it =3D {
            bytepos =3D 0,=20
            charpos =3D 0,=20
            ch =3D 0,=20
            nchars =3D 0,=20
            ch_len =3D 0,=20
            type =3D UNKNOWN_BT,=20
            type_after_wn =3D UNKNOWN_BT,=20
            orig_type =3D UNKNOWN_BT,=20
            resolved_level =3D 0 '\000',=20
            isolate_level =3D 0 '\000',=20
            invalid_levels =3D 0,=20
            invalid_isolates =3D 0,=20
            prev =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            last_strong =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            prev_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_ws =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            bracket_pairing_pos =3D 0,=20
            bracket_enclosed_type =3D UNKNOWN_BT,=20
            next_en_pos =3D 0,=20
            next_en_type =3D UNKNOWN_BT,=20
            sos =3D NEUTRAL_DIR,=20
            scan_dir =3D 0,=20
            disp_pos =3D 0,=20
            disp_prop =3D 0,=20
            stack_idx =3D 0,=20
            level_stack =3D {{
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              } <repeats 63 times>, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 5,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 39,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328912,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 1,=20
                prev_for_neutral_type =3D 3,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328920,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 1,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329136,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 1,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328448,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 4,=20
                last_strong_type =3D 5,=20
                prev_for_neutral_type =3D 5,=20
                level =3D 100 'd',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 5,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 39,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328976,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 72057960552422352,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328992,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 1,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329056,=20
                next_for_neutral_type =3D 1,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328992,=20
                next_for_neutral_type =3D 3,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 3,=20
                level =3D 91 '[',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 1,=20
                prev_for_neutral_type =3D 5,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 6,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 1,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 1120,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 1,=20
                prev_for_neutral_type =3D 5,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 5,=20
                prev_for_neutral_type =3D 5,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 2,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488328984,=20
                next_for_neutral_type =3D 6,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 2,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 93825002743781,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 3,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 6,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 1,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488328984,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488328976,=20
                next_for_neutral_type =3D 2,=20
                last_strong_type =3D 1,=20
                prev_for_neutral_type =3D 1,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329328,=20
                next_for_neutral_type =3D 1,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 7,=20
                prev_for_neutral_type =3D 2,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 140737488331504,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 5,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329088,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 7,=20
                level =3D 117 'u',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 2,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 255 '\377',=20
                flags =3D 255 '\377'
              }, {
                next_for_neutral_pos =3D 40,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 218 '\332',=20
                flags =3D 210 '\322'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329328,=20
                next_for_neutral_type =3D 6,=20
                last_strong_type =3D 2,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 93825002743781,=20
                next_for_neutral_type =3D 1,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 4,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 5,=20
                level =3D 91 '[',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 7,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 101,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329328,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 2,=20
                prev_for_neutral_type =3D 2,=20
                level =3D 229 '\345',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 17,=20
                next_for_neutral_type =3D 5,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 1,=20
                level =3D 229 '\345',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 4611686018578382848,=20
                next_for_neutral_type =3D 2,=20
                last_strong_type =3D 1,=20
                prev_for_neutral_type =3D 7,=20
                level =3D 95 '_',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 4611686018578382848,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 2,=20
                prev_for_neutral_type =3D 2,=20
                level =3D 229 '\345',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 17,=20
                next_for_neutral_type =3D 4,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 92 '\\',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 85,=20
                next_for_neutral_type =3D 4,=20
                last_strong_type =3D 3,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 92 '\\',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 1,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 4,=20
                level =3D 218 '\332',=20
                flags =3D 210 '\322'
              }, {
                next_for_neutral_pos =3D 140737488329328,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 176 '\260',=20
                flags =3D 86 'V'
              }, {
                next_for_neutral_pos =3D 93825002855381,=20
                next_for_neutral_type =3D 5,=20
                last_strong_type =3D 6,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 247 '\367',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 4294967295,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 140737488329328,=20
                next_for_neutral_type =3D 3,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 93 ']',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 85,=20
                next_for_neutral_type =3D 1,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 93825002855376,=20
                next_for_neutral_type =3D 1,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }, {
                next_for_neutral_pos =3D 93825002855381,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 2,=20
                prev_for_neutral_type =3D 7,=20
                level =3D 247 '\367',=20
                flags =3D 85 'U'
              }, {
                next_for_neutral_pos =3D 93825002854320,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              }},=20
            string =3D {
              lstring =3D XIL(0x27),=20
              s =3D 0x1 <error: Cannot access memory at address 0x1>,=20
              schars =3D 0,=20
              bufpos =3D 39,=20
              from_disp_str =3D false,=20
              unibyte =3D false
            },=20
            w =3D 0x0,=20
            paragraph_dir =3D NEUTRAL_DIR,=20
            separator_limit =3D 1,=20
            first_elt =3D false,=20
            new_paragraph =3D false,=20
            frame_window_p =3D false
          },=20
          paragraph_embedding =3D NEUTRAL_DIR
        }
        current_matrix_up_to_date_p =3D <optimized out>
        used_current_matrix_p =3D <optimized out>
        buffer_unchanged_p =3D <optimized out>
        temp_scroll_step =3D <optimized out>
        count =3D <optimized out>
        centering_position =3D <optimized out>
        last_line_misfit =3D <optimized out>
        beg_unchanged =3D <optimized out>
        end_unchanged =3D <optimized out>
        frame_line_height =3D <optimized out>
        margin =3D <optimized out>
        use_desired_matrix =3D <optimized out>
        itdata =3D <optimized out>
#9  0x00005555555f0d6b in redisplay_window_0 (window=3Dwindow@entry=3DXIL(0=
x555555f759c5)) at xdisp.c:15066
#10 0x00005555556f7684 in internal_condition_case_1 (bfun=3Dbfun@entry=3D0x=
5555555f0d40 <redisplay_window_0>, arg=3Darg@entry=3DXIL(0x555555f759c5), h=
andlers=3D<optimized out>, hfun=3Dhfun@entry=3D0x5555555b4130 <redisplay_wi=
ndow_error>) at eval.c:1376
        val =3D <optimized out>
        c =3D 0x555555c7b560
#11 0x00005555555b8e28 in redisplay_windows (window=3DXIL(0x555555f759c5)) =
at xdisp.c:15046
        w =3D 0x555555f759c0
#12 0x00005555555dd545 in redisplay_internal () at xdisp.c:14529
        gcscrollbars =3D <optimized out>
        f_redisplay_flag =3D <optimized out>
        f =3D 0x555555f757b0
        w =3D <optimized out>
        sw =3D <optimized out>
        fr =3D <optimized out>
        pending =3D <optimized out>
        must_finish =3D <optimized out>
        match_p =3D <optimized out>
        tlbufpos =3D <optimized out>
        tlendpos =3D <optimized out>
        number_of_visible_frames =3D <optimized out>
        count =3D <optimized out>
        sf =3D <optimized out>
        polling_stopped_here =3D <optimized out>
        tail =3D XIL(0x555555c3bb23)
        frame =3D XIL(0x555555f757b5)
        hscroll_retries =3D 0
        garbaged_frame_retries =3D <optimized out>
        consider_all_windows_p =3D <optimized out>
        update_miniwindow_p =3D <optimized out>
#13 0x00005555555de9cf in echo_area_display (update_frame_p=3D<optimized ou=
t>) at xdisp.c:11794
        count =3D 20
        n =3D <optimized out>
        mini_window =3D XIL(0x555555f75bd5)
        w =3D 0x555555f75bd0
        f =3D 0x555555f757b0
        window_height_changed_p =3D true
        sf =3D <optimized out>
#14 0x00005555555ded65 in message3_nolog (m=3DXIL(0x555555d83ea4)) at xdisp=
.c:10776
        mini_window =3D <optimized out>
        frame =3D XIL(0x555555f757b5)
        f =3D 0x555555f757b0
        sf =3D <optimized out>
#15 0x00005555555deed0 in message3 (m=3Dm@entry=3DXIL(0x555555d83ea4)) at x=
disp.c:10706
#16 0x00005555556f03a3 in Fmessage (args=3D0x7fffffffc408, nargs=3D<optimiz=
ed out>) at editfns.c:2891
        val =3D XIL(0x555555d83ea4)
#17 0x00005555556f03a3 in Fmessage (nargs=3D<optimized out>, args=3D0x7ffff=
fffc408) at editfns.c:2859
#18 0x00005555556f8363 in Ffuncall (nargs=3D7, args=3Dargs@entry=3D0x7fffff=
ffc400) at lisp.h:2076
        fun =3D <optimized out>
        original_fun =3D XIL(0x2aaa96183428)
        funcar =3D <optimized out>
        numargs =3D 6
        val =3D <optimized out>
        count =3D 19
#19 0x0000555555734e38 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D<optimized out>, maxdepth=3D<optimized out>, args_template=3D<optimized =
out>, nargs=3D<optimized out>, args=3D<optimized out>) at bytecode.c:633
        op =3D <optimized out>
        type =3D <optimized out>
        targets =3D {0x55555559d718 <exec_byte_code+4293299144>, 0x55555573=
51c9 <exec_byte_code+1657>, 0x5555557351c4 <exec_byte_code+1652>, 0x5555557=
35189 <exec_byte_code+1593>, 0x555555734f65 <exec_byte_code+1045>, 0x555555=
734f65 <exec_byte_code+1045>, 0x55555573518e <exec_byte_code+1598>, 0x55555=
57350bb <exec_byte_code+1387>, 0x555555736147 <exec_byte_code+5623>, 0x5555=
55736142 <exec_byte_code+5618>, 0x55555573613d <exec_byte_code+5613>, 0x555=
555736138 <exec_byte_code+5608>, 0x555555734f0c <exec_byte_code+956>, 0x555=
555734f10 <exec_byte_code+960>, 0x55555573612b <exec_byte_code+5595>, 0x555=
55573614c <exec_byte_code+5628>, 0x555555735ffb <exec_byte_code+5291>, 0x55=
5555735ff6 <exec_byte_code+5286>, 0x555555735ff1 <exec_byte_code+5281>, 0x5=
55555735fec <exec_byte_code+5276>, 0x555555734e56 <exec_byte_code+774>, 0x5=
55555734e60 <exec_byte_code+784>, 0x555555735fc8 <exec_byte_code+5240>, 0x5=
55555735fd5 <exec_byte_code+5253>, 0x555555735f73 <exec_byte_code+5155>, 0x=
555555735f6e <exec_byte_code+5150>, 0x555555735f69 <exec_byte_code+5145>, 0=
x555555735f64 <exec_byte_code+5140>, 0x555555734ec7 <exec_byte_code+887>, 0=
x555555734ed0 <exec_byte_code+896>, 0x555555735f8f <exec_byte_code+5183>, 0=
x555555735f78 <exec_byte_code+5160>, 0x555555735f3b <exec_byte_code+5099>, =
0x555555735f36 <exec_byte_code+5094>, 0x555555735f31 <exec_byte_code+5089>,=
 0x555555735f2c <exec_byte_code+5084>, 0x555555734e12 <exec_byte_code+706>,=
 0x555555734e18 <exec_byte_code+712>, 0x555555735f57 <exec_byte_code+5127>,=
 0x555555735f40 <exec_byte_code+5104>, 0x555555735f03 <exec_byte_code+5043>=
, 0x555555735efe <exec_byte_code+5038>, 0x555555735ef9 <exec_byte_code+5033=
>, 0x555555735ef4 <exec_byte_code+5028>, 0x555555734dac <exec_byte_code+604=
>, 0x555555734db0 <exec_byte_code+608>, 0x555555735f1f <exec_byte_code+5071=
>, 0x555555735f08 <exec_byte_code+5048>, 0x555555735afe <exec_byte_code+401=
4>, 0x555555735b2b <exec_byte_code+4059>, 0x555555735b90 <exec_byte_code+41=
60>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_=
code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d71=
8 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, =
0x555555736f77 <exec_byte_code+9255>, 0x555555736f3a <exec_byte_code+9194>,=
 0x555555736efa <exec_byte_code+9130>, 0x555555736eba <exec_byte_code+9066>=
, 0x555555736e7b <exec_byte_code+9003>, 0x55555573607a <exec_byte_code+5418=
>, 0x555555736033 <exec_byte_code+5347>, 0x555555736e50 <exec_byte_code+896=
0>, 0x5555557360bc <exec_byte_code+5484>, 0x555555736000 <exec_byte_code+52=
96>, 0x555555736e09 <exec_byte_code+8889>, 0x555555736ddc <exec_byte_code+8=
844>, 0x555555736d95 <exec_byte_code+8773>, 0x555555736d5b <exec_byte_code+=
8715>, 0x555555736d1d <exec_byte_code+8653>, 0x555555736ca4 <exec_byte_code=
+8532>, 0x555555736c5d <exec_byte_code+8461>, 0x555555736c12 <exec_byte_cod=
e+8386>, 0x555555736be5 <exec_byte_code+8341>, 0x555555736bb8 <exec_byte_co=
de+8296>, 0x555555736b71 <exec_byte_code+8225>, 0x555555736b2a <exec_byte_c=
ode+8154>, 0x555555736ae3 <exec_byte_code+8083>, 0x555555736a98 <exec_byte_=
code+8008>, 0x555555736a61 <exec_byte_code+7953>, 0x555555736a2a <exec_byte=
_code+7898>, 0x5555557369f3 <exec_byte_code+7843>, 0x555555736952 <exec_byt=
e_code+7682>, 0x5555557368fd <exec_byte_code+7597>, 0x5555557368b4 <exec_by=
te_code+7524>, 0x555555736868 <exec_byte_code+7448>, 0x55555573681c <exec_b=
yte_code+7372>, 0x5555557367d0 <exec_byte_code+7296>, 0x555555736784 <exec_=
byte_code+7220>, 0x55555573674d <exec_byte_code+7165>, 0x5555557366f7 <exec=
_byte_code+7079>, 0x5555557366c0 <exec_byte_code+7024>, 0x555555736689 <exe=
c_byte_code+6969>, 0x555555736652 <exec_byte_code+6914>, 0x55555573661b <ex=
ec_byte_code+6859>, 0x55555573655a <exec_byte_code+6666>, 0x555555734fbc <e=
xec_byte_code+1132>, 0x55555573652d <exec_byte_code+6621>, 0x5555557364fe <=
exec_byte_code+6574>, 0x55555573646f <exec_byte_code+6431>, 0x55555573642c =
<exec_byte_code+6364>, 0x5555557363ff <exec_byte_code+6319>, 0x5555557363d4=
 <exec_byte_code+6276>, 0x5555557363a9 <exec_byte_code+6233>, 0x55555573637=
6 <exec_byte_code+6182>, 0x555555736347 <exec_byte_code+6135>, 0x55555559d7=
18 <exec_byte_code+4293299144>, 0x55555573631c <exec_byte_code+6092>, 0x555=
5557362f1 <exec_byte_code+6049>, 0x5555557362c6 <exec_byte_code+6006>, 0x55=
555573629b <exec_byte_code+5963>, 0x555555736270 <exec_byte_code+5920>, 0x5=
55555736243 <exec_byte_code+5875>, 0x555555734fbc <exec_byte_code+1132>, 0x=
55555559d718 <exec_byte_code+4293299144>, 0x555555736204 <exec_byte_code+58=
12>, 0x5555557361d7 <exec_byte_code+5767>, 0x5555557361aa <exec_byte_code+5=
722>, 0x555555736163 <exec_byte_code+5651>, 0x5555557358ac <exec_byte_code+=
3420>, 0x55555573587f <exec_byte_code+3375>, 0x55555573577a <exec_byte_code=
+3114>, 0x555555735733 <exec_byte_code+3043>, 0x55555573593a <exec_byte_cod=
e+3562>, 0x5555557358f3 <exec_byte_code+3491>, 0x555555735981 <exec_byte_co=
de+3633>, 0x555555735579 <exec_byte_code+2601>, 0x55555559d718 <exec_byte_c=
ode+4293299144>, 0x555555735bb7 <exec_byte_code+4199>, 0x555555735ea6 <exec=
_byte_code+4950>, 0x5555557360ef <exec_byte_code+5535>, 0x555555735e6a <exe=
c_byte_code+4890>, 0x555555735e31 <exec_byte_code+4833>, 0x555555735df8 <ex=
ec_byte_code+4776>, 0x555555735c12 <exec_byte_code+4290>, 0x555555735bf3 <e=
xec_byte_code+4259>, 0x555555735f9c <exec_byte_code+5196>, 0x555555735b98 <=
exec_byte_code+4168>, 0x5555557359ac <exec_byte_code+3676>, 0x555555735a7a =
<exec_byte_code+3882>, 0x555555735a2c <exec_byte_code+3804>, 0x555555735aa8=
 <exec_byte_code+3928>, 0x555555737090 <exec_byte_code+9536>, 0x55555573704=
d <exec_byte_code+9469>, 0x555555736fc9 <exec_byte_code+9337>, 0x555555735e=
d0 <exec_byte_code+4992>, 0x55555573562d <exec_byte_code+2781>, 0x555555735=
600 <exec_byte_code+2736>, 0x5555557355d3 <exec_byte_code+2691>, 0x55555573=
55a6 <exec_byte_code+2646>, 0x5555557356bf <exec_byte_code+2927>, 0x5555557=
35678 <exec_byte_code+2856>, 0x5555557356ec <exec_byte_code+2972>, 0x555555=
735296 <exec_byte_code+1862>, 0x5555557354c5 <exec_byte_code+2421>, 0x55555=
573545c <exec_byte_code+2316>, 0x555555735415 <exec_byte_code+2245>, 0x5555=
557353ce <exec_byte_code+2174>, 0x5555557353a1 <exec_byte_code+2129>, 0x555=
55573535a <exec_byte_code+2058>, 0x555555735313 <exec_byte_code+1987>, 0x55=
55557352dd <exec_byte_code+1933>, 0x555555735543 <exec_byte_code+2547>, 0x5=
5555573550c <exec_byte_code+2492>, 0x5555557365e4 <exec_byte_code+6804>, 0x=
55555573659d <exec_byte_code+6733>, 0x555555735234 <exec_byte_code+1764>, 0=
x5555557351ce <exec_byte_code+1662>, 0x55555559d718 <exec_byte_code+4293299=
144>, 0x555555735d89 <exec_byte_code+4665>, 0x555555735d52 <exec_byte_code+=
4610>, 0x555555735ce7 <exec_byte_code+4503>, 0x555555735cb3 <exec_byte_code=
+4451>, 0x555555735d1e <exec_byte_code+4558>, 0x555555736cd1 <exec_byte_cod=
e+8577>, 0x5555557369a7 <exec_byte_code+7767>, 0x5555557364b2 <exec_byte_co=
de+6498>, 0x555555735148 <exec_byte_code+1528>, 0x5555557350fb <exec_byte_c=
ode+1451>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec=
_byte_code+4293299144>, 0x55555573508a <exec_byte_code+1338>, 0x55555573501=
8 <exec_byte_code+1224>, 0x55555559d718 <exec_byte_code+4293299144>, 0x5555=
5559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+429329=
9144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byt=
e_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d=
718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>=
, 0x555555734fea <exec_byte_code+1178> <repeats 64 times>}
        const_length =3D <optimized out>
        bytestr_length =3D <optimized out>
        vectorp =3D <optimized out>
        quitcounter =3D 2 '\002'
        stack_items =3D <optimized out>
        sa_avail =3D <optimized out>
        sa_count =3D <optimized out>
        alloc =3D <optimized out>
        item_bytes =3D <optimized out>
        stack_base =3D <optimized out>
        top =3D 0x7fffffffc400
        stack_lim =3D <optimized out>
        bytestr_data =3D <optimized out>
        pc =3D <optimized out>
        count =3D 15
        result =3D <optimized out>
#20 0x00005555556f82c7 in Ffuncall (nargs=3Dnargs@entry=3D1, args=3Dargs@en=
try=3D0x7fffffffca48) at eval.c:2814
        fun =3D <optimized out>
        original_fun =3D XIL(0x2aaa96294be0)
        funcar =3D <optimized out>
        numargs =3D 0
        val =3D <optimized out>
        count =3D 14
#21 0x00005555556f4d51 in Ffuncall_interactively (nargs=3D1, args=3D0x7ffff=
fffca48) at callint.c:255
        speccount =3D 13
#22 0x00005555556f8363 in Ffuncall (nargs=3D2, args=3D0x7fffffffca40) at li=
sp.h:2076
        fun =3D <optimized out>
        original_fun =3D XIL(0x6db0)
        funcar =3D <optimized out>
        numargs =3D 1
        val =3D <optimized out>
        count =3D 12
#23 0x00005555556f8704 in Fapply (nargs=3Dnargs@entry=3D3, args=3Dargs@entr=
y=3D0x7fffffffca40) at eval.c:2375
        i =3D <optimized out>
        funcall_nargs =3D <optimized out>
        funcall_args =3D 0x0
        spread_arg =3D XIL(0)
        fun =3D XIL(0x6db0)
        sa_avail =3D 16384
        sa_count =3D 12
        numargs =3D <optimized out>
        retval =3D <optimized out>
#24 0x00005555556f62d1 in Fcall_interactively (function=3DXIL(0x2aaa96294be=
0), record_flag=3DXIL(0xb5e0), keys=3DXIL(0x5555561f6355)) at lisp.h:1024
        funval =3D <optimized out>
        events =3D <optimized out>
        input =3D <optimized out>
        speccount =3D 12
        arg_from_tty =3D false
        key_count =3D 14
        record_then_fail =3D false
        save_this_command =3D XIL(0x2aaa96294be0)
        save_this_original_command =3D XIL(0x2aaa962e8830)
        save_real_this_command =3D XIL(0x2aaa96294be0)
        save_last_command =3D XIL(0x2aaa963ad2d8)
        prefix_arg =3D XIL(0)
        enable =3D <optimized out>
        up_event =3D XIL(0)
        form =3D <optimized out>
        specs =3D XIL(0)
        sa_avail =3D <optimized out>
        string_len =3D <optimized out>
        string =3D <optimized out>
        string_end =3D <optimized out>
        next_event =3D <optimized out>
        nargs =3D <optimized out>
        args =3D <optimized out>
        visargs =3D <optimized out>
        varies =3D <optimized out>
        tem =3D <optimized out>
        val =3D <optimized out>
#25 0x00005555556f8363 in Ffuncall (nargs=3D4, args=3Dargs@entry=3D0x7fffff=
ffcb38) at lisp.h:2076
        fun =3D <optimized out>
        original_fun =3D XIL(0x2aaa961e5338)
        funcar =3D <optimized out>
        numargs =3D 3
        val =3D <optimized out>
        count =3D 11
#26 0x0000555555734e38 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D<optimized out>, maxdepth=3D<optimized out>, args_template=3D<optimized =
out>, nargs=3D<optimized out>, args=3D<optimized out>) at bytecode.c:633
        op =3D <optimized out>
        type =3D <optimized out>
        targets =3D {0x55555559d718 <exec_byte_code+4293299144>, 0x55555573=
51c9 <exec_byte_code+1657>, 0x5555557351c4 <exec_byte_code+1652>, 0x5555557=
35189 <exec_byte_code+1593>, 0x555555734f65 <exec_byte_code+1045>, 0x555555=
734f65 <exec_byte_code+1045>, 0x55555573518e <exec_byte_code+1598>, 0x55555=
57350bb <exec_byte_code+1387>, 0x555555736147 <exec_byte_code+5623>, 0x5555=
55736142 <exec_byte_code+5618>, 0x55555573613d <exec_byte_code+5613>, 0x555=
555736138 <exec_byte_code+5608>, 0x555555734f0c <exec_byte_code+956>, 0x555=
555734f10 <exec_byte_code+960>, 0x55555573612b <exec_byte_code+5595>, 0x555=
55573614c <exec_byte_code+5628>, 0x555555735ffb <exec_byte_code+5291>, 0x55=
5555735ff6 <exec_byte_code+5286>, 0x555555735ff1 <exec_byte_code+5281>, 0x5=
55555735fec <exec_byte_code+5276>, 0x555555734e56 <exec_byte_code+774>, 0x5=
55555734e60 <exec_byte_code+784>, 0x555555735fc8 <exec_byte_code+5240>, 0x5=
55555735fd5 <exec_byte_code+5253>, 0x555555735f73 <exec_byte_code+5155>, 0x=
555555735f6e <exec_byte_code+5150>, 0x555555735f69 <exec_byte_code+5145>, 0=
x555555735f64 <exec_byte_code+5140>, 0x555555734ec7 <exec_byte_code+887>, 0=
x555555734ed0 <exec_byte_code+896>, 0x555555735f8f <exec_byte_code+5183>, 0=
x555555735f78 <exec_byte_code+5160>, 0x555555735f3b <exec_byte_code+5099>, =
0x555555735f36 <exec_byte_code+5094>, 0x555555735f31 <exec_byte_code+5089>,=
 0x555555735f2c <exec_byte_code+5084>, 0x555555734e12 <exec_byte_code+706>,=
 0x555555734e18 <exec_byte_code+712>, 0x555555735f57 <exec_byte_code+5127>,=
 0x555555735f40 <exec_byte_code+5104>, 0x555555735f03 <exec_byte_code+5043>=
, 0x555555735efe <exec_byte_code+5038>, 0x555555735ef9 <exec_byte_code+5033=
>, 0x555555735ef4 <exec_byte_code+5028>, 0x555555734dac <exec_byte_code+604=
>, 0x555555734db0 <exec_byte_code+608>, 0x555555735f1f <exec_byte_code+5071=
>, 0x555555735f08 <exec_byte_code+5048>, 0x555555735afe <exec_byte_code+401=
4>, 0x555555735b2b <exec_byte_code+4059>, 0x555555735b90 <exec_byte_code+41=
60>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_=
code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d71=
8 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, =
0x555555736f77 <exec_byte_code+9255>, 0x555555736f3a <exec_byte_code+9194>,=
 0x555555736efa <exec_byte_code+9130>, 0x555555736eba <exec_byte_code+9066>=
, 0x555555736e7b <exec_byte_code+9003>, 0x55555573607a <exec_byte_code+5418=
>, 0x555555736033 <exec_byte_code+5347>, 0x555555736e50 <exec_byte_code+896=
0>, 0x5555557360bc <exec_byte_code+5484>, 0x555555736000 <exec_byte_code+52=
96>, 0x555555736e09 <exec_byte_code+8889>, 0x555555736ddc <exec_byte_code+8=
844>, 0x555555736d95 <exec_byte_code+8773>, 0x555555736d5b <exec_byte_code+=
8715>, 0x555555736d1d <exec_byte_code+8653>, 0x555555736ca4 <exec_byte_code=
+8532>, 0x555555736c5d <exec_byte_code+8461>, 0x555555736c12 <exec_byte_cod=
e+8386>, 0x555555736be5 <exec_byte_code+8341>, 0x555555736bb8 <exec_byte_co=
de+8296>, 0x555555736b71 <exec_byte_code+8225>, 0x555555736b2a <exec_byte_c=
ode+8154>, 0x555555736ae3 <exec_byte_code+8083>, 0x555555736a98 <exec_byte_=
code+8008>, 0x555555736a61 <exec_byte_code+7953>, 0x555555736a2a <exec_byte=
_code+7898>, 0x5555557369f3 <exec_byte_code+7843>, 0x555555736952 <exec_byt=
e_code+7682>, 0x5555557368fd <exec_byte_code+7597>, 0x5555557368b4 <exec_by=
te_code+7524>, 0x555555736868 <exec_byte_code+7448>, 0x55555573681c <exec_b=
yte_code+7372>, 0x5555557367d0 <exec_byte_code+7296>, 0x555555736784 <exec_=
byte_code+7220>, 0x55555573674d <exec_byte_code+7165>, 0x5555557366f7 <exec=
_byte_code+7079>, 0x5555557366c0 <exec_byte_code+7024>, 0x555555736689 <exe=
c_byte_code+6969>, 0x555555736652 <exec_byte_code+6914>, 0x55555573661b <ex=
ec_byte_code+6859>, 0x55555573655a <exec_byte_code+6666>, 0x555555734fbc <e=
xec_byte_code+1132>, 0x55555573652d <exec_byte_code+6621>, 0x5555557364fe <=
exec_byte_code+6574>, 0x55555573646f <exec_byte_code+6431>, 0x55555573642c =
<exec_byte_code+6364>, 0x5555557363ff <exec_byte_code+6319>, 0x5555557363d4=
 <exec_byte_code+6276>, 0x5555557363a9 <exec_byte_code+6233>, 0x55555573637=
6 <exec_byte_code+6182>, 0x555555736347 <exec_byte_code+6135>, 0x55555559d7=
18 <exec_byte_code+4293299144>, 0x55555573631c <exec_byte_code+6092>, 0x555=
5557362f1 <exec_byte_code+6049>, 0x5555557362c6 <exec_byte_code+6006>, 0x55=
555573629b <exec_byte_code+5963>, 0x555555736270 <exec_byte_code+5920>, 0x5=
55555736243 <exec_byte_code+5875>, 0x555555734fbc <exec_byte_code+1132>, 0x=
55555559d718 <exec_byte_code+4293299144>, 0x555555736204 <exec_byte_code+58=
12>, 0x5555557361d7 <exec_byte_code+5767>, 0x5555557361aa <exec_byte_code+5=
722>, 0x555555736163 <exec_byte_code+5651>, 0x5555557358ac <exec_byte_code+=
3420>, 0x55555573587f <exec_byte_code+3375>, 0x55555573577a <exec_byte_code=
+3114>, 0x555555735733 <exec_byte_code+3043>, 0x55555573593a <exec_byte_cod=
e+3562>, 0x5555557358f3 <exec_byte_code+3491>, 0x555555735981 <exec_byte_co=
de+3633>, 0x555555735579 <exec_byte_code+2601>, 0x55555559d718 <exec_byte_c=
ode+4293299144>, 0x555555735bb7 <exec_byte_code+4199>, 0x555555735ea6 <exec=
_byte_code+4950>, 0x5555557360ef <exec_byte_code+5535>, 0x555555735e6a <exe=
c_byte_code+4890>, 0x555555735e31 <exec_byte_code+4833>, 0x555555735df8 <ex=
ec_byte_code+4776>, 0x555555735c12 <exec_byte_code+4290>, 0x555555735bf3 <e=
xec_byte_code+4259>, 0x555555735f9c <exec_byte_code+5196>, 0x555555735b98 <=
exec_byte_code+4168>, 0x5555557359ac <exec_byte_code+3676>, 0x555555735a7a =
<exec_byte_code+3882>, 0x555555735a2c <exec_byte_code+3804>, 0x555555735aa8=
 <exec_byte_code+3928>, 0x555555737090 <exec_byte_code+9536>, 0x55555573704=
d <exec_byte_code+9469>, 0x555555736fc9 <exec_byte_code+9337>, 0x555555735e=
d0 <exec_byte_code+4992>, 0x55555573562d <exec_byte_code+2781>, 0x555555735=
600 <exec_byte_code+2736>, 0x5555557355d3 <exec_byte_code+2691>, 0x55555573=
55a6 <exec_byte_code+2646>, 0x5555557356bf <exec_byte_code+2927>, 0x5555557=
35678 <exec_byte_code+2856>, 0x5555557356ec <exec_byte_code+2972>, 0x555555=
735296 <exec_byte_code+1862>, 0x5555557354c5 <exec_byte_code+2421>, 0x55555=
573545c <exec_byte_code+2316>, 0x555555735415 <exec_byte_code+2245>, 0x5555=
557353ce <exec_byte_code+2174>, 0x5555557353a1 <exec_byte_code+2129>, 0x555=
55573535a <exec_byte_code+2058>, 0x555555735313 <exec_byte_code+1987>, 0x55=
55557352dd <exec_byte_code+1933>, 0x555555735543 <exec_byte_code+2547>, 0x5=
5555573550c <exec_byte_code+2492>, 0x5555557365e4 <exec_byte_code+6804>, 0x=
55555573659d <exec_byte_code+6733>, 0x555555735234 <exec_byte_code+1764>, 0=
x5555557351ce <exec_byte_code+1662>, 0x55555559d718 <exec_byte_code+4293299=
144>, 0x555555735d89 <exec_byte_code+4665>, 0x555555735d52 <exec_byte_code+=
4610>, 0x555555735ce7 <exec_byte_code+4503>, 0x555555735cb3 <exec_byte_code=
+4451>, 0x555555735d1e <exec_byte_code+4558>, 0x555555736cd1 <exec_byte_cod=
e+8577>, 0x5555557369a7 <exec_byte_code+7767>, 0x5555557364b2 <exec_byte_co=
de+6498>, 0x555555735148 <exec_byte_code+1528>, 0x5555557350fb <exec_byte_c=
ode+1451>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec=
_byte_code+4293299144>, 0x55555573508a <exec_byte_code+1338>, 0x55555573501=
8 <exec_byte_code+1224>, 0x55555559d718 <exec_byte_code+4293299144>, 0x5555=
5559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+429329=
9144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byt=
e_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d=
718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>=
, 0x555555734fea <exec_byte_code+1178> <repeats 64 times>}
        const_length =3D <optimized out>
        bytestr_length =3D <optimized out>
        vectorp =3D <optimized out>
        quitcounter =3D 2 '\002'
        stack_items =3D <optimized out>
        sa_avail =3D <optimized out>
        sa_count =3D <optimized out>
        alloc =3D <optimized out>
        item_bytes =3D <optimized out>
        stack_base =3D <optimized out>
        top =3D 0x7fffffffcb38
        stack_lim =3D <optimized out>
        bytestr_data =3D <optimized out>
        pc =3D <optimized out>
        count =3D 11
        result =3D <optimized out>
#27 0x00005555556f82c7 in Ffuncall (nargs=3D3, args=3Dargs@entry=3D0x7fffff=
ffcf00) at eval.c:2814
        fun =3D <optimized out>
        original_fun =3D XIL(0x4320)
        funcar =3D <optimized out>
        numargs =3D 2
        val =3D <optimized out>
        count =3D 10
#28 0x0000555555734e38 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D<optimized out>, maxdepth=3D<optimized out>, args_template=3D<optimized =
out>, nargs=3D<optimized out>, args=3D<optimized out>) at bytecode.c:633
        op =3D <optimized out>
        type =3D <optimized out>
        targets =3D {0x55555559d718 <exec_byte_code+4293299144>, 0x55555573=
51c9 <exec_byte_code+1657>, 0x5555557351c4 <exec_byte_code+1652>, 0x5555557=
35189 <exec_byte_code+1593>, 0x555555734f65 <exec_byte_code+1045>, 0x555555=
734f65 <exec_byte_code+1045>, 0x55555573518e <exec_byte_code+1598>, 0x55555=
57350bb <exec_byte_code+1387>, 0x555555736147 <exec_byte_code+5623>, 0x5555=
55736142 <exec_byte_code+5618>, 0x55555573613d <exec_byte_code+5613>, 0x555=
555736138 <exec_byte_code+5608>, 0x555555734f0c <exec_byte_code+956>, 0x555=
555734f10 <exec_byte_code+960>, 0x55555573612b <exec_byte_code+5595>, 0x555=
55573614c <exec_byte_code+5628>, 0x555555735ffb <exec_byte_code+5291>, 0x55=
5555735ff6 <exec_byte_code+5286>, 0x555555735ff1 <exec_byte_code+5281>, 0x5=
55555735fec <exec_byte_code+5276>, 0x555555734e56 <exec_byte_code+774>, 0x5=
55555734e60 <exec_byte_code+784>, 0x555555735fc8 <exec_byte_code+5240>, 0x5=
55555735fd5 <exec_byte_code+5253>, 0x555555735f73 <exec_byte_code+5155>, 0x=
555555735f6e <exec_byte_code+5150>, 0x555555735f69 <exec_byte_code+5145>, 0=
x555555735f64 <exec_byte_code+5140>, 0x555555734ec7 <exec_byte_code+887>, 0=
x555555734ed0 <exec_byte_code+896>, 0x555555735f8f <exec_byte_code+5183>, 0=
x555555735f78 <exec_byte_code+5160>, 0x555555735f3b <exec_byte_code+5099>, =
0x555555735f36 <exec_byte_code+5094>, 0x555555735f31 <exec_byte_code+5089>,=
 0x555555735f2c <exec_byte_code+5084>, 0x555555734e12 <exec_byte_code+706>,=
 0x555555734e18 <exec_byte_code+712>, 0x555555735f57 <exec_byte_code+5127>,=
 0x555555735f40 <exec_byte_code+5104>, 0x555555735f03 <exec_byte_code+5043>=
, 0x555555735efe <exec_byte_code+5038>, 0x555555735ef9 <exec_byte_code+5033=
>, 0x555555735ef4 <exec_byte_code+5028>, 0x555555734dac <exec_byte_code+604=
>, 0x555555734db0 <exec_byte_code+608>, 0x555555735f1f <exec_byte_code+5071=
>, 0x555555735f08 <exec_byte_code+5048>, 0x555555735afe <exec_byte_code+401=
4>, 0x555555735b2b <exec_byte_code+4059>, 0x555555735b90 <exec_byte_code+41=
60>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_=
code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d71=
8 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, =
0x555555736f77 <exec_byte_code+9255>, 0x555555736f3a <exec_byte_code+9194>,=
 0x555555736efa <exec_byte_code+9130>, 0x555555736eba <exec_byte_code+9066>=
, 0x555555736e7b <exec_byte_code+9003>, 0x55555573607a <exec_byte_code+5418=
>, 0x555555736033 <exec_byte_code+5347>, 0x555555736e50 <exec_byte_code+896=
0>, 0x5555557360bc <exec_byte_code+5484>, 0x555555736000 <exec_byte_code+52=
96>, 0x555555736e09 <exec_byte_code+8889>, 0x555555736ddc <exec_byte_code+8=
844>, 0x555555736d95 <exec_byte_code+8773>, 0x555555736d5b <exec_byte_code+=
8715>, 0x555555736d1d <exec_byte_code+8653>, 0x555555736ca4 <exec_byte_code=
+8532>, 0x555555736c5d <exec_byte_code+8461>, 0x555555736c12 <exec_byte_cod=
e+8386>, 0x555555736be5 <exec_byte_code+8341>, 0x555555736bb8 <exec_byte_co=
de+8296>, 0x555555736b71 <exec_byte_code+8225>, 0x555555736b2a <exec_byte_c=
ode+8154>, 0x555555736ae3 <exec_byte_code+8083>, 0x555555736a98 <exec_byte_=
code+8008>, 0x555555736a61 <exec_byte_code+7953>, 0x555555736a2a <exec_byte=
_code+7898>, 0x5555557369f3 <exec_byte_code+7843>, 0x555555736952 <exec_byt=
e_code+7682>, 0x5555557368fd <exec_byte_code+7597>, 0x5555557368b4 <exec_by=
te_code+7524>, 0x555555736868 <exec_byte_code+7448>, 0x55555573681c <exec_b=
yte_code+7372>, 0x5555557367d0 <exec_byte_code+7296>, 0x555555736784 <exec_=
byte_code+7220>, 0x55555573674d <exec_byte_code+7165>, 0x5555557366f7 <exec=
_byte_code+7079>, 0x5555557366c0 <exec_byte_code+7024>, 0x555555736689 <exe=
c_byte_code+6969>, 0x555555736652 <exec_byte_code+6914>, 0x55555573661b <ex=
ec_byte_code+6859>, 0x55555573655a <exec_byte_code+6666>, 0x555555734fbc <e=
xec_byte_code+1132>, 0x55555573652d <exec_byte_code+6621>, 0x5555557364fe <=
exec_byte_code+6574>, 0x55555573646f <exec_byte_code+6431>, 0x55555573642c =
<exec_byte_code+6364>, 0x5555557363ff <exec_byte_code+6319>, 0x5555557363d4=
 <exec_byte_code+6276>, 0x5555557363a9 <exec_byte_code+6233>, 0x55555573637=
6 <exec_byte_code+6182>, 0x555555736347 <exec_byte_code+6135>, 0x55555559d7=
18 <exec_byte_code+4293299144>, 0x55555573631c <exec_byte_code+6092>, 0x555=
5557362f1 <exec_byte_code+6049>, 0x5555557362c6 <exec_byte_code+6006>, 0x55=
555573629b <exec_byte_code+5963>, 0x555555736270 <exec_byte_code+5920>, 0x5=
55555736243 <exec_byte_code+5875>, 0x555555734fbc <exec_byte_code+1132>, 0x=
55555559d718 <exec_byte_code+4293299144>, 0x555555736204 <exec_byte_code+58=
12>, 0x5555557361d7 <exec_byte_code+5767>, 0x5555557361aa <exec_byte_code+5=
722>, 0x555555736163 <exec_byte_code+5651>, 0x5555557358ac <exec_byte_code+=
3420>, 0x55555573587f <exec_byte_code+3375>, 0x55555573577a <exec_byte_code=
+3114>, 0x555555735733 <exec_byte_code+3043>, 0x55555573593a <exec_byte_cod=
e+3562>, 0x5555557358f3 <exec_byte_code+3491>, 0x555555735981 <exec_byte_co=
de+3633>, 0x555555735579 <exec_byte_code+2601>, 0x55555559d718 <exec_byte_c=
ode+4293299144>, 0x555555735bb7 <exec_byte_code+4199>, 0x555555735ea6 <exec=
_byte_code+4950>, 0x5555557360ef <exec_byte_code+5535>, 0x555555735e6a <exe=
c_byte_code+4890>, 0x555555735e31 <exec_byte_code+4833>, 0x555555735df8 <ex=
ec_byte_code+4776>, 0x555555735c12 <exec_byte_code+4290>, 0x555555735bf3 <e=
xec_byte_code+4259>, 0x555555735f9c <exec_byte_code+5196>, 0x555555735b98 <=
exec_byte_code+4168>, 0x5555557359ac <exec_byte_code+3676>, 0x555555735a7a =
<exec_byte_code+3882>, 0x555555735a2c <exec_byte_code+3804>, 0x555555735aa8=
 <exec_byte_code+3928>, 0x555555737090 <exec_byte_code+9536>, 0x55555573704=
d <exec_byte_code+9469>, 0x555555736fc9 <exec_byte_code+9337>, 0x555555735e=
d0 <exec_byte_code+4992>, 0x55555573562d <exec_byte_code+2781>, 0x555555735=
600 <exec_byte_code+2736>, 0x5555557355d3 <exec_byte_code+2691>, 0x55555573=
55a6 <exec_byte_code+2646>, 0x5555557356bf <exec_byte_code+2927>, 0x5555557=
35678 <exec_byte_code+2856>, 0x5555557356ec <exec_byte_code+2972>, 0x555555=
735296 <exec_byte_code+1862>, 0x5555557354c5 <exec_byte_code+2421>, 0x55555=
573545c <exec_byte_code+2316>, 0x555555735415 <exec_byte_code+2245>, 0x5555=
557353ce <exec_byte_code+2174>, 0x5555557353a1 <exec_byte_code+2129>, 0x555=
55573535a <exec_byte_code+2058>, 0x555555735313 <exec_byte_code+1987>, 0x55=
55557352dd <exec_byte_code+1933>, 0x555555735543 <exec_byte_code+2547>, 0x5=
5555573550c <exec_byte_code+2492>, 0x5555557365e4 <exec_byte_code+6804>, 0x=
55555573659d <exec_byte_code+6733>, 0x555555735234 <exec_byte_code+1764>, 0=
x5555557351ce <exec_byte_code+1662>, 0x55555559d718 <exec_byte_code+4293299=
144>, 0x555555735d89 <exec_byte_code+4665>, 0x555555735d52 <exec_byte_code+=
4610>, 0x555555735ce7 <exec_byte_code+4503>, 0x555555735cb3 <exec_byte_code=
+4451>, 0x555555735d1e <exec_byte_code+4558>, 0x555555736cd1 <exec_byte_cod=
e+8577>, 0x5555557369a7 <exec_byte_code+7767>, 0x5555557364b2 <exec_byte_co=
de+6498>, 0x555555735148 <exec_byte_code+1528>, 0x5555557350fb <exec_byte_c=
ode+1451>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec=
_byte_code+4293299144>, 0x55555573508a <exec_byte_code+1338>, 0x55555573501=
8 <exec_byte_code+1224>, 0x55555559d718 <exec_byte_code+4293299144>, 0x5555=
5559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+429329=
9144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byt=
e_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d=
718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>=
, 0x555555734fea <exec_byte_code+1178> <repeats 64 times>}
        const_length =3D <optimized out>
        bytestr_length =3D <optimized out>
        vectorp =3D <optimized out>
        quitcounter =3D 1 '\001'
        stack_items =3D <optimized out>
        sa_avail =3D <optimized out>
        sa_count =3D <optimized out>
        alloc =3D <optimized out>
        item_bytes =3D <optimized out>
        stack_base =3D <optimized out>
        top =3D 0x7fffffffcf00
        stack_lim =3D <optimized out>
        bytestr_data =3D <optimized out>
        pc =3D <optimized out>
        count =3D 9
        result =3D <optimized out>
#29 0x00005555556f82c7 in Ffuncall (nargs=3Dnargs@entry=3D4, args=3Dargs@en=
try=3D0x7fffffffd3c8) at eval.c:2814
        fun =3D <optimized out>
        original_fun =3D XIL(0x2aaa962e8830)
        funcar =3D <optimized out>
        numargs =3D 3
        val =3D <optimized out>
        count =3D 8
#30 0x00005555556f4d51 in Ffuncall_interactively (nargs=3D4, args=3D0x7ffff=
fffd3c8) at callint.c:255
        speccount =3D 7
#31 0x00005555556f8363 in Ffuncall (nargs=3D5, args=3D0x7fffffffd3c0) at li=
sp.h:2076
        fun =3D <optimized out>
        original_fun =3D XIL(0x6db0)
        funcar =3D <optimized out>
        numargs =3D 4
        val =3D <optimized out>
        count =3D 6
#32 0x00005555556f8640 in Fapply (nargs=3Dnargs@entry=3D3, args=3Dargs@entr=
y=3D0x7fffffffd520) at eval.c:2422
        i =3D <optimized out>
        funcall_nargs =3D 5
        funcall_args =3D <optimized out>
        spread_arg =3D XIL(0)
        fun =3D <optimized out>
        sa_avail =3D <optimized out>
        sa_count =3D 6
        numargs =3D <optimized out>
        retval =3D <optimized out>
#33 0x00005555556f62d1 in Fcall_interactively (function=3DXIL(0x2aaa962e883=
0), record_flag=3DXIL(0), keys=3DXIL(0x555555f7d5f5)) at lisp.h:1024
        funval =3D <optimized out>
        events =3D <optimized out>
        input =3D <optimized out>
        speccount =3D 6
        arg_from_tty =3D false
        key_count =3D 1
        record_then_fail =3D false
        save_this_command =3D XIL(0x2aaa962e8830)
        save_this_original_command =3D XIL(0x2aaa962e8830)
        save_real_this_command =3D XIL(0x2aaa962e8830)
        save_last_command =3D XIL(0x2aaa963ad2d8)
        prefix_arg =3D XIL(0)
        enable =3D <optimized out>
        up_event =3D XIL(0)
        form =3D <optimized out>
        specs =3D XIL(0x55555633e6f3)
        sa_avail =3D <optimized out>
        string_len =3D <optimized out>
        string =3D <optimized out>
        string_end =3D <optimized out>
        next_event =3D <optimized out>
        nargs =3D <optimized out>
        args =3D <optimized out>
        visargs =3D <optimized out>
        varies =3D <optimized out>
        tem =3D <optimized out>
        val =3D <optimized out>
#34 0x00005555556f8363 in Ffuncall (nargs=3D4, args=3Dargs@entry=3D0x7fffff=
ffd618) at lisp.h:2076
        fun =3D <optimized out>
        original_fun =3D XIL(0x2aaa961e5338)
        funcar =3D <optimized out>
        numargs =3D 3
        val =3D <optimized out>
        count =3D 5
#35 0x0000555555734e38 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D<optimized out>, maxdepth=3D<optimized out>, args_template=3D<optimized =
out>, nargs=3D<optimized out>, args=3D<optimized out>) at bytecode.c:633
        op =3D <optimized out>
        type =3D <optimized out>
        targets =3D {0x55555559d718 <exec_byte_code+4293299144>, 0x55555573=
51c9 <exec_byte_code+1657>, 0x5555557351c4 <exec_byte_code+1652>, 0x5555557=
35189 <exec_byte_code+1593>, 0x555555734f65 <exec_byte_code+1045>, 0x555555=
734f65 <exec_byte_code+1045>, 0x55555573518e <exec_byte_code+1598>, 0x55555=
57350bb <exec_byte_code+1387>, 0x555555736147 <exec_byte_code+5623>, 0x5555=
55736142 <exec_byte_code+5618>, 0x55555573613d <exec_byte_code+5613>, 0x555=
555736138 <exec_byte_code+5608>, 0x555555734f0c <exec_byte_code+956>, 0x555=
555734f10 <exec_byte_code+960>, 0x55555573612b <exec_byte_code+5595>, 0x555=
55573614c <exec_byte_code+5628>, 0x555555735ffb <exec_byte_code+5291>, 0x55=
5555735ff6 <exec_byte_code+5286>, 0x555555735ff1 <exec_byte_code+5281>, 0x5=
55555735fec <exec_byte_code+5276>, 0x555555734e56 <exec_byte_code+774>, 0x5=
55555734e60 <exec_byte_code+784>, 0x555555735fc8 <exec_byte_code+5240>, 0x5=
55555735fd5 <exec_byte_code+5253>, 0x555555735f73 <exec_byte_code+5155>, 0x=
555555735f6e <exec_byte_code+5150>, 0x555555735f69 <exec_byte_code+5145>, 0=
x555555735f64 <exec_byte_code+5140>, 0x555555734ec7 <exec_byte_code+887>, 0=
x555555734ed0 <exec_byte_code+896>, 0x555555735f8f <exec_byte_code+5183>, 0=
x555555735f78 <exec_byte_code+5160>, 0x555555735f3b <exec_byte_code+5099>, =
0x555555735f36 <exec_byte_code+5094>, 0x555555735f31 <exec_byte_code+5089>,=
 0x555555735f2c <exec_byte_code+5084>, 0x555555734e12 <exec_byte_code+706>,=
 0x555555734e18 <exec_byte_code+712>, 0x555555735f57 <exec_byte_code+5127>,=
 0x555555735f40 <exec_byte_code+5104>, 0x555555735f03 <exec_byte_code+5043>=
, 0x555555735efe <exec_byte_code+5038>, 0x555555735ef9 <exec_byte_code+5033=
>, 0x555555735ef4 <exec_byte_code+5028>, 0x555555734dac <exec_byte_code+604=
>, 0x555555734db0 <exec_byte_code+608>, 0x555555735f1f <exec_byte_code+5071=
>, 0x555555735f08 <exec_byte_code+5048>, 0x555555735afe <exec_byte_code+401=
4>, 0x555555735b2b <exec_byte_code+4059>, 0x555555735b90 <exec_byte_code+41=
60>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_=
code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d71=
8 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, =
0x555555736f77 <exec_byte_code+9255>, 0x555555736f3a <exec_byte_code+9194>,=
 0x555555736efa <exec_byte_code+9130>, 0x555555736eba <exec_byte_code+9066>=
, 0x555555736e7b <exec_byte_code+9003>, 0x55555573607a <exec_byte_code+5418=
>, 0x555555736033 <exec_byte_code+5347>, 0x555555736e50 <exec_byte_code+896=
0>, 0x5555557360bc <exec_byte_code+5484>, 0x555555736000 <exec_byte_code+52=
96>, 0x555555736e09 <exec_byte_code+8889>, 0x555555736ddc <exec_byte_code+8=
844>, 0x555555736d95 <exec_byte_code+8773>, 0x555555736d5b <exec_byte_code+=
8715>, 0x555555736d1d <exec_byte_code+8653>, 0x555555736ca4 <exec_byte_code=
+8532>, 0x555555736c5d <exec_byte_code+8461>, 0x555555736c12 <exec_byte_cod=
e+8386>, 0x555555736be5 <exec_byte_code+8341>, 0x555555736bb8 <exec_byte_co=
de+8296>, 0x555555736b71 <exec_byte_code+8225>, 0x555555736b2a <exec_byte_c=
ode+8154>, 0x555555736ae3 <exec_byte_code+8083>, 0x555555736a98 <exec_byte_=
code+8008>, 0x555555736a61 <exec_byte_code+7953>, 0x555555736a2a <exec_byte=
_code+7898>, 0x5555557369f3 <exec_byte_code+7843>, 0x555555736952 <exec_byt=
e_code+7682>, 0x5555557368fd <exec_byte_code+7597>, 0x5555557368b4 <exec_by=
te_code+7524>, 0x555555736868 <exec_byte_code+7448>, 0x55555573681c <exec_b=
yte_code+7372>, 0x5555557367d0 <exec_byte_code+7296>, 0x555555736784 <exec_=
byte_code+7220>, 0x55555573674d <exec_byte_code+7165>, 0x5555557366f7 <exec=
_byte_code+7079>, 0x5555557366c0 <exec_byte_code+7024>, 0x555555736689 <exe=
c_byte_code+6969>, 0x555555736652 <exec_byte_code+6914>, 0x55555573661b <ex=
ec_byte_code+6859>, 0x55555573655a <exec_byte_code+6666>, 0x555555734fbc <e=
xec_byte_code+1132>, 0x55555573652d <exec_byte_code+6621>, 0x5555557364fe <=
exec_byte_code+6574>, 0x55555573646f <exec_byte_code+6431>, 0x55555573642c =
<exec_byte_code+6364>, 0x5555557363ff <exec_byte_code+6319>, 0x5555557363d4=
 <exec_byte_code+6276>, 0x5555557363a9 <exec_byte_code+6233>, 0x55555573637=
6 <exec_byte_code+6182>, 0x555555736347 <exec_byte_code+6135>, 0x55555559d7=
18 <exec_byte_code+4293299144>, 0x55555573631c <exec_byte_code+6092>, 0x555=
5557362f1 <exec_byte_code+6049>, 0x5555557362c6 <exec_byte_code+6006>, 0x55=
555573629b <exec_byte_code+5963>, 0x555555736270 <exec_byte_code+5920>, 0x5=
55555736243 <exec_byte_code+5875>, 0x555555734fbc <exec_byte_code+1132>, 0x=
55555559d718 <exec_byte_code+4293299144>, 0x555555736204 <exec_byte_code+58=
12>, 0x5555557361d7 <exec_byte_code+5767>, 0x5555557361aa <exec_byte_code+5=
722>, 0x555555736163 <exec_byte_code+5651>, 0x5555557358ac <exec_byte_code+=
3420>, 0x55555573587f <exec_byte_code+3375>, 0x55555573577a <exec_byte_code=
+3114>, 0x555555735733 <exec_byte_code+3043>, 0x55555573593a <exec_byte_cod=
e+3562>, 0x5555557358f3 <exec_byte_code+3491>, 0x555555735981 <exec_byte_co=
de+3633>, 0x555555735579 <exec_byte_code+2601>, 0x55555559d718 <exec_byte_c=
ode+4293299144>, 0x555555735bb7 <exec_byte_code+4199>, 0x555555735ea6 <exec=
_byte_code+4950>, 0x5555557360ef <exec_byte_code+5535>, 0x555555735e6a <exe=
c_byte_code+4890>, 0x555555735e31 <exec_byte_code+4833>, 0x555555735df8 <ex=
ec_byte_code+4776>, 0x555555735c12 <exec_byte_code+4290>, 0x555555735bf3 <e=
xec_byte_code+4259>, 0x555555735f9c <exec_byte_code+5196>, 0x555555735b98 <=
exec_byte_code+4168>, 0x5555557359ac <exec_byte_code+3676>, 0x555555735a7a =
<exec_byte_code+3882>, 0x555555735a2c <exec_byte_code+3804>, 0x555555735aa8=
 <exec_byte_code+3928>, 0x555555737090 <exec_byte_code+9536>, 0x55555573704=
d <exec_byte_code+9469>, 0x555555736fc9 <exec_byte_code+9337>, 0x555555735e=
d0 <exec_byte_code+4992>, 0x55555573562d <exec_byte_code+2781>, 0x555555735=
600 <exec_byte_code+2736>, 0x5555557355d3 <exec_byte_code+2691>, 0x55555573=
55a6 <exec_byte_code+2646>, 0x5555557356bf <exec_byte_code+2927>, 0x5555557=
35678 <exec_byte_code+2856>, 0x5555557356ec <exec_byte_code+2972>, 0x555555=
735296 <exec_byte_code+1862>, 0x5555557354c5 <exec_byte_code+2421>, 0x55555=
573545c <exec_byte_code+2316>, 0x555555735415 <exec_byte_code+2245>, 0x5555=
557353ce <exec_byte_code+2174>, 0x5555557353a1 <exec_byte_code+2129>, 0x555=
55573535a <exec_byte_code+2058>, 0x555555735313 <exec_byte_code+1987>, 0x55=
55557352dd <exec_byte_code+1933>, 0x555555735543 <exec_byte_code+2547>, 0x5=
5555573550c <exec_byte_code+2492>, 0x5555557365e4 <exec_byte_code+6804>, 0x=
55555573659d <exec_byte_code+6733>, 0x555555735234 <exec_byte_code+1764>, 0=
x5555557351ce <exec_byte_code+1662>, 0x55555559d718 <exec_byte_code+4293299=
144>, 0x555555735d89 <exec_byte_code+4665>, 0x555555735d52 <exec_byte_code+=
4610>, 0x555555735ce7 <exec_byte_code+4503>, 0x555555735cb3 <exec_byte_code=
+4451>, 0x555555735d1e <exec_byte_code+4558>, 0x555555736cd1 <exec_byte_cod=
e+8577>, 0x5555557369a7 <exec_byte_code+7767>, 0x5555557364b2 <exec_byte_co=
de+6498>, 0x555555735148 <exec_byte_code+1528>, 0x5555557350fb <exec_byte_c=
ode+1451>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec=
_byte_code+4293299144>, 0x55555573508a <exec_byte_code+1338>, 0x55555573501=
8 <exec_byte_code+1224>, 0x55555559d718 <exec_byte_code+4293299144>, 0x5555=
5559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+429329=
9144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byt=
e_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>, 0x55555559d=
718 <exec_byte_code+4293299144>, 0x55555559d718 <exec_byte_code+4293299144>=
, 0x555555734fea <exec_byte_code+1178> <repeats 64 times>}
        const_length =3D <optimized out>
        bytestr_length =3D <optimized out>
        vectorp =3D <optimized out>
        quitcounter =3D 1 '\001'
        stack_items =3D <optimized out>
        sa_avail =3D <optimized out>
        sa_count =3D <optimized out>
        alloc =3D <optimized out>
        item_bytes =3D <optimized out>
        stack_base =3D <optimized out>
        top =3D 0x7fffffffd618
        stack_lim =3D <optimized out>
        bytestr_data =3D <optimized out>
        pc =3D <optimized out>
        count =3D 5
        result =3D <optimized out>
#36 0x00005555556f82c7 in Ffuncall (nargs=3D2, args=3D0x7fffffffd9b0) at ev=
al.c:2814
        fun =3D <optimized out>
        original_fun =3D XIL(0x4320)
        funcar =3D <optimized out>
        numargs =3D 1
        val =3D <optimized out>
        count =3D 4
#37 0x00005555556f841a in call1 (fn=3Dfn@entry=3DXIL(0x4320), arg1=3D<optim=
ized out>) at eval.c:2653
#38 0x000055555568a406 in command_loop_1 () at lisp.h:1024
        scount =3D 3
        cmd =3D <optimized out>
        keybuf =3D {make_fixnum(134217848), XIL(0), make_fixnum(0), XIL(0x4=
d695c37d2da4300), XIL(0), XIL(0), XIL(0x4000000010000000), XIL(0x400000003f=
000000), XIL(0x2aaa965a1870), XIL(0x555555bb99a0), XIL(0x7fffffffdb40), mak=
e_fixnum(23456248490143), XIL(0), XIL(0), XIL(0), XIL(0x4), XIL(0), XIL(0),=
 XIL(0), XIL(0x4d695c37d2da4300), XIL(0), XIL(0x78), XIL(0x7fffffffdb10), X=
IL(0x555555c3d7a3), XIL(0), make_fixnum(1000), XIL(0xffffffffffffffff), XIL=
(0x5555556f7eb4), XIL(0x8), XIL(0x8160)}
        i =3D <optimized out>
        prev_modiff =3D 8
        prev_buffer =3D 0x7fffebc206f0
#39 0x00005555556f75f7 in internal_condition_case (bfun=3Dbfun@entry=3D0x55=
555568a010 <command_loop_1>, handlers=3Dhandlers@entry=3DXIL(0x90), hfun=3D=
hfun@entry=3D0x555555681400 <cmd_error>) at eval.c:1352
        val =3D <optimized out>
        c =3D 0x555555c784d0
#40 0x000055555567c224 in command_loop_2 (ignore=3Dignore@entry=3DXIL(0)) a=
t lisp.h:1024
        val =3D <optimized out>
#41 0x00005555556f7551 in internal_catch (tag=3Dtag@entry=3DXIL(0xd350), fu=
nc=3Dfunc@entry=3D0x55555567c200 <command_loop_2>, arg=3Darg@entry=3DXIL(0)=
) at eval.c:1113
        val =3D <optimized out>
        c =3D 0x555555c78c00
#42 0x000055555567c1cb in command_loop () at lisp.h:1024
#43 0x0000555555681016 in recursive_edit_1 () at keyboard.c:714
        count =3D 1
        val =3D <optimized out>
#44 0x0000555555681342 in Frecursive_edit () at keyboard.c:786
        count =3D 0
        buffer =3D <optimized out>
#45 0x00005555555a0031 in main (argc=3D2, argv=3D0x7fffffffdde8) at emacs.c=
:2086
        stack_bottom_variable =3D 0x0
        do_initial_setlocale =3D <optimized out>
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x0
        original_pwd =3D <optimized out>
        dump_mode =3D <optimized out>
        skip_args =3D 0
        temacs =3D 0x0
        attempt_load_pdump =3D <optimized out>
        rlim =3D {
          rlim_cur =3D 10022912,=20
          rlim_max =3D 18446744073709551615
        }
        sockfd =3D -1
        module_assertions =3D <optimized out>

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
"message" (0xffffc408)
"desktop-read" (0xffffca50)
"funcall-interactively" (0xffffca48)
"call-interactively" (0xffffcb40)
"command-execute" (0xffffcf08)
"execute-extended-command" (0xffffd3d0)
"funcall-interactively" (0xffffd3c8)
"call-interactively" (0xffffd620)
"command-execute" (0xffffd9b8)
(gdb)=20
--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: inline; filename=.emacs.desktop
Content-Transfer-Encoding: quoted-printable

;; -*- mode: emacs-lisp; coding: emacs-mule; -*-
;; ------------------------------------------------------------------------=
--
;; Desktop File for Emacs
;; ------------------------------------------------------------------------=
--
;; Created Mon Jul 29 12:31:03 2019
;; Desktop file format version 208
;; Emacs version 26.2

;; Global section:
(setq desktop-saved-frameset [frameset 1 (23870 51943 593480 157000) (deskt=
op . "208") "stepnem@panda" nil nil ((((minibuffer . t) (undecorated) (over=
ride-redirect) (font-backend xft x) (font . "-PfEd-DejaVu Sans Mono-normal-=
normal-normal-*-12-*-*-*-m-0-iso10646-1") (font-parameter . "DejaVu Sans Mo=
no:pixelsize=3D12") (border-width . 0) (internal-border-width . 0) (right-d=
ivider-width . 0) (bottom-divider-width . 0) (vertical-scroll-bars) (horizo=
ntal-scroll-bars) (foreground-color . "#cccccc") (background-color . "#0000=
00") (mouse-color . "black") (border-color . "black") (screen-gamma) (line-=
spacing) (left-fringe . 8) (right-fringe . 8) (no-special-glyphs) (scroll-b=
ar-foreground) (scroll-bar-background) (menu-bar-lines . 0) (tool-bar-lines=
 . 0) (title . "Notmuch") (wait-for-wm . t) (tool-bar-position . top) (inhi=
bit-double-buffering) (icon-type . t) (auto-raise) (auto-lower) (cursor-typ=
e . box) (scroll-bar-width . 0) (scroll-bar-height . 0) (alpha) (no-focus-o=
n-map) (no-accept-focus) (fullscreen) (visibility . icon) (skip-taskbar) (z=
-group) (display-type . color) (background-mode . dark) (cursor-color . "wh=
ite") (frameset--id . "F605-40BF-5649-2A62") (frameset--mini t) (frameset--=
text-pixel-width . 1264) (frameset--text-pixel-height . 1024) (height . 68)=
 (width . 180) (modeline . t) (unsplittable) (icon-name) (display . ":0") (=
explicit-name . t)) ((min-height . 4) (min-width . 20) (min-height-ignore .=
 3) (min-width-ignore . 10) (min-height-safe . 1) (min-width-safe . 4) (min=
-pixel-height . 60) (min-pixel-width . 140) (min-pixel-height-ignore . 45) =
(min-pixel-width-ignore . 70) (min-pixel-height-safe . 15) (min-pixel-width=
-safe . 28)) hc (pixel-width . 1280) (pixel-height . 1009) (total-width . 1=
83) (total-height . 67) (normal-height . 1.0) (normal-width . 1.0) (combina=
tion-limit) (leaf (pixel-width . 643) (pixel-height . 1009) (total-width . =
92) (total-height . 67) (normal-height . 1.0) (normal-width . 0.5) (buffer =
"*notmuch-hello*" (selected) (hscroll . 0) (fringes 8 8 nil) (margins nil) =
(scroll-bars nil 0 t nil 0 t) (vscroll . 0) (dedicated) (point . 1) (start =
. 1))) (leaf (last . t) (pixel-width . 637) (pixel-height . 1009) (total-wi=
dth . 91) (total-height . 67) (normal-height . 1.0) (normal-width . 0.5) (b=
uffer "*BBDB*" (selected) (hscroll . 0) (fringes 8 8 nil) (margins nil) (sc=
roll-bars nil 0 t nil 0 t) (vscroll . 0) (dedicated) (point . 1) (start . 1=
)))) (((minibuffer . t) (undecorated) (override-redirect) (font-backend xft=
 x) (font . "-PfEd-DejaVu Sans Mono-normal-normal-normal-*-12-*-*-*-m-0-iso=
10646-1") (font-parameter . "DejaVu Sans Mono:pixelsize=3D12") (border-widt=
h . 0) (internal-border-width . 0) (right-divider-width . 0) (bottom-divide=
r-width . 0) (vertical-scroll-bars) (horizontal-scroll-bars) (foreground-co=
lor . "#cccccc") (background-color . "#000000") (mouse-color . "black") (bo=
rder-color . "black") (screen-gamma) (line-spacing) (left-fringe . 8) (righ=
t-fringe . 8) (no-special-glyphs) (scroll-bar-foreground) (scroll-bar-backg=
round) (menu-bar-lines . 0) (tool-bar-lines . 0) (title) (wait-for-wm . t) =
(tool-bar-position . top) (inhibit-double-buffering) (icon-type . t) (auto-=
raise) (auto-lower) (cursor-type . box) (scroll-bar-width . 0) (scroll-bar-=
height . 0) (alpha) (no-focus-on-map) (no-accept-focus) (fullscreen) (visib=
ility . icon) (skip-taskbar) (z-group) (display-type . color) (background-m=
ode . dark) (cursor-color . "white") (frameset--id . "D03B-1F32-6BF2-5ADF")=
 (frameset--mini t) (modeline . t) (unsplittable) (icon-name) (display . ":=
0") (explicit-name) (frameset--text-pixel-width . 1264) (frameset--text-pix=
el-height . 1024) (height . 68) (width . 180)) ((min-height . 4) (min-width=
 . 20) (min-height-ignore . 3) (min-width-ignore . 10) (min-height-safe . 1=
) (min-width-safe . 4) (min-pixel-height . 60) (min-pixel-width . 140) (min=
-pixel-height-ignore . 45) (min-pixel-width-ignore . 70) (min-pixel-height-=
safe . 15) (min-pixel-width-safe . 28)) hc (pixel-width . 1280) (pixel-heig=
ht . 1009) (total-width . 183) (total-height . 67) (normal-height . 1.0) (n=
ormal-width . 1.0) (combination-limit) (leaf (pixel-width . 637) (pixel-hei=
ght . 1009) (total-width . 91) (total-height . 67) (normal-height . 1.0) (n=
ormal-width . 0.49765625) (buffer "NEWS" (selected) (hscroll . 0) (fringes =
8 8 nil) (margins nil) (scroll-bars nil 0 t nil 0 t) (vscroll . 0) (dedicat=
ed) (point . 95325) (start . 94951))) (leaf (last . t) (pixel-width . 643) =
(pixel-height . 1009) (total-width . 92) (total-height . 67) (normal-height=
 . 1.0) (normal-width . 0.50234375) (buffer "*Emacs Bugs*" (selected) (hscr=
oll . 0) (fringes 8 8 nil) (margins nil) (scroll-bars nil 0 t nil 0 t) (vsc=
roll . 0) (dedicated) (point . 1) (start . 1)))) (((minibuffer . t) (undeco=
rated) (override-redirect) (font-backend xft x) (font . "-PfEd-DejaVu Sans =
Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1") (font-parameter . "De=
jaVu Sans Mono:pixelsize=3D12") (border-width . 0) (internal-border-width .=
 0) (right-divider-width . 0) (bottom-divider-width . 0) (vertical-scroll-b=
ars) (horizontal-scroll-bars) (foreground-color . "#cccccc") (background-co=
lor . "#000000") (mouse-color . "black") (border-color . "black") (screen-g=
amma) (line-spacing) (left-fringe . 8) (right-fringe . 8) (no-special-glyph=
s) (scroll-bar-foreground) (scroll-bar-background) (menu-bar-lines . 0) (to=
ol-bar-lines . 0) (title . "Emacs *Help*") (wait-for-wm . t) (tool-bar-posi=
tion . top) (inhibit-double-buffering) (icon-type . t) (auto-raise) (auto-l=
ower) (cursor-type . box) (scroll-bar-width . 0) (scroll-bar-height . 0) (a=
lpha) (no-focus-on-map) (no-accept-focus) (fullscreen) (visibility . t) (sk=
ip-taskbar) (z-group) (display-type . color) (background-mode . dark) (curs=
or-color . "white") (frameset--id . "E43B-CD09-A8EA-0A2F") (frameset--mini =
t . t) (modeline . t) (unsplittable . t) (icon-name) (display . ":0") (expl=
icit-name) (frameset--text-pixel-width . 1264) (frameset--text-pixel-height=
 . 1024) (height . 68) (width . 180) (left . 0) (top . 0)) ((min-height . 4=
) (min-width . 20) (min-height-ignore . 3) (min-width-ignore . 10) (min-hei=
ght-safe . 1) (min-width-safe . 4) (min-pixel-height . 60) (min-pixel-width=
 . 140) (min-pixel-height-ignore . 45) (min-pixel-width-ignore . 70) (min-p=
ixel-height-safe . 15) (min-pixel-width-safe . 28)) hc (pixel-width . 1280)=
 (pixel-height . 1009) (total-width . 183) (total-height . 67) (normal-heig=
ht . 1.0) (normal-width . 1.0) (combination-limit) (leaf (pixel-width . 637=
) (pixel-height . 1009) (total-width . 91) (total-height . 67) (normal-heig=
ht . 1.0) (normal-width . 0.49765625) (buffer "init.el" (selected . t) (hsc=
roll . 0) (fringes 8 8 nil) (margins nil) (scroll-bars nil 0 t nil 0 t) (vs=
croll . 0) (dedicated) (point . 112337) (start . 111123))) (leaf (last . t)=
 (pixel-width . 643) (pixel-height . 1009) (total-width . 92) (total-height=
 . 67) (normal-height . 1.0) (normal-width . 0.50234375) (buffer "zenirc-in=
it.el" (selected) (hscroll . 0) (fringes 8 8 nil) (margins nil) (scroll-bar=
s nil 0 t nil 0 t) (vscroll . 0) (dedicated) (point . 25088) (start . 23413=
)))))])

--=-=-=--




Acknowledgement sent to Štěpán Němec <stepnem@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36835; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Jul 2019 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.